
/* Copyright © 2015-2021 Intel Corporation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

/* This file generated from vk_entrypoints_gen.py, don't edit directly. */

#include "panvk_entrypoints.h"

/* Weak aliases for all potential implementations. These will resolve to
 * NULL if they're not defined, which lets the resolve_entrypoint() function
 * either pick the correct entry point.
 *
 * MSVC uses different decorated names for 32-bit versus 64-bit. Declare
 * all argument sizes for 32-bit because computing the actual size would be
 * difficult.
 */




#ifdef _MSC_VER
    VkResult (*panvk_CreateInstance_Null)(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@4=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@8=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@12=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@16=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@20=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@24=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@28=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@32=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@36=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@40=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@44=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@48=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@60=_panvk_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateInstance@104=_panvk_CreateInstance_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateInstance=panvk_CreateInstance_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateInstance(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyInstance_Null)(VkInstance instance, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@4=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@8=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@12=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@16=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@20=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@24=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@28=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@32=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@36=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@40=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@44=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@48=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@60=_panvk_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyInstance@104=_panvk_DestroyInstance_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyInstance=panvk_DestroyInstance_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyInstance(VkInstance instance, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_EnumeratePhysicalDevices_Null)(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@4=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@8=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@12=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@16=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@20=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@24=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@28=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@32=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@36=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@40=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@44=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@48=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@60=_panvk_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDevices@104=_panvk_EnumeratePhysicalDevices_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EnumeratePhysicalDevices=panvk_EnumeratePhysicalDevices_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EnumeratePhysicalDevices(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*panvk_GetInstanceProcAddr_Null)(VkInstance instance, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@4=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@8=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@12=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@16=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@20=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@24=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@28=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@32=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@36=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@40=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@44=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@48=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@60=_panvk_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetInstanceProcAddr@104=_panvk_GetInstanceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetInstanceProcAddr=panvk_GetInstanceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL panvk_GetInstanceProcAddr(VkInstance instance, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_EnumerateInstanceVersion_Null)(uint32_t* pApiVersion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@4=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@8=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@12=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@16=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@20=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@24=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@28=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@32=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@36=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@40=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@44=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@48=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@60=_panvk_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceVersion@104=_panvk_EnumerateInstanceVersion_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EnumerateInstanceVersion=panvk_EnumerateInstanceVersion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EnumerateInstanceVersion(uint32_t* pApiVersion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_EnumerateInstanceLayerProperties_Null)(uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@4=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@8=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@12=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@16=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@20=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@24=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@28=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@32=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@36=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@40=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@44=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@48=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@60=_panvk_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceLayerProperties@104=_panvk_EnumerateInstanceLayerProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EnumerateInstanceLayerProperties=panvk_EnumerateInstanceLayerProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EnumerateInstanceLayerProperties(uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_EnumerateInstanceExtensionProperties_Null)(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@4=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@8=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@12=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@16=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@20=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@24=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@28=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@32=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@36=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@40=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@44=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@48=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@60=_panvk_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateInstanceExtensionProperties@104=_panvk_EnumerateInstanceExtensionProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EnumerateInstanceExtensionProperties=panvk_EnumerateInstanceExtensionProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EnumerateInstanceExtensionProperties(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null)(VkRenderPass renderpass, VkExtent2D* pMaxWorkgroupSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@4=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@8=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@12=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@16=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@20=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@24=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@28=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@32=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@36=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@40=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@44=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@48=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@60=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI@104=_panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI=panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI(VkRenderPass renderpass, VkExtent2D* pMaxWorkgroupSize) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*panvk_CreateAndroidSurfaceKHR_Null)(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@4=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@8=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@12=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@16=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@20=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@24=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@28=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@32=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@36=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@40=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@44=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@48=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@60=_panvk_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAndroidSurfaceKHR@104=_panvk_CreateAndroidSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateAndroidSurfaceKHR=panvk_CreateAndroidSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateAndroidSurfaceKHR(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*panvk_CreateDisplayPlaneSurfaceKHR_Null)(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@4=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@8=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@12=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@16=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@20=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@24=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@28=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@32=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@36=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@40=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@44=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@48=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@60=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayPlaneSurfaceKHR@104=_panvk_CreateDisplayPlaneSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDisplayPlaneSurfaceKHR=panvk_CreateDisplayPlaneSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDisplayPlaneSurfaceKHR(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroySurfaceKHR_Null)(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@4=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@8=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@12=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@16=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@20=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@24=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@28=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@32=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@36=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@40=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@44=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@48=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@60=_panvk_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySurfaceKHR@104=_panvk_DestroySurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroySurfaceKHR=panvk_DestroySurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroySurfaceKHR(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_VI_NN
#ifdef _MSC_VER
    VkResult (*panvk_CreateViSurfaceNN_Null)(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@4=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@8=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@12=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@16=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@20=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@24=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@28=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@32=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@36=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@40=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@44=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@48=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@60=_panvk_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateViSurfaceNN@104=_panvk_CreateViSurfaceNN_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateViSurfaceNN=panvk_CreateViSurfaceNN_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateViSurfaceNN(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    VkResult (*panvk_CreateWaylandSurfaceKHR_Null)(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@4=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@8=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@12=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@16=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@20=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@24=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@28=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@32=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@36=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@40=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@44=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@48=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@60=_panvk_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWaylandSurfaceKHR@104=_panvk_CreateWaylandSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateWaylandSurfaceKHR=panvk_CreateWaylandSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateWaylandSurfaceKHR(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_CreateWin32SurfaceKHR_Null)(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@4=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@8=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@12=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@16=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@20=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@24=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@28=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@32=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@36=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@40=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@44=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@48=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@60=_panvk_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateWin32SurfaceKHR@104=_panvk_CreateWin32SurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateWin32SurfaceKHR=panvk_CreateWin32SurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateWin32SurfaceKHR(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    VkResult (*panvk_CreateXlibSurfaceKHR_Null)(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@4=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@8=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@12=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@16=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@20=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@24=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@28=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@32=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@36=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@40=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@44=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@48=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@60=_panvk_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXlibSurfaceKHR@104=_panvk_CreateXlibSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateXlibSurfaceKHR=panvk_CreateXlibSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateXlibSurfaceKHR(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    VkResult (*panvk_CreateXcbSurfaceKHR_Null)(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@4=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@8=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@12=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@16=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@20=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@24=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@28=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@32=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@36=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@40=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@44=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@48=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@60=_panvk_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateXcbSurfaceKHR@104=_panvk_CreateXcbSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateXcbSurfaceKHR=panvk_CreateXcbSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateXcbSurfaceKHR(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    VkResult (*panvk_CreateDirectFBSurfaceEXT_Null)(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@4=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@8=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@12=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@16=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@20=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@24=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@28=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@32=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@36=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@40=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@44=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@48=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@60=_panvk_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDirectFBSurfaceEXT@104=_panvk_CreateDirectFBSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDirectFBSurfaceEXT=panvk_CreateDirectFBSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDirectFBSurfaceEXT(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*panvk_CreateImagePipeSurfaceFUCHSIA_Null)(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@4=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@8=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@12=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@16=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@20=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@24=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@28=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@32=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@36=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@40=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@44=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@48=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@60=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImagePipeSurfaceFUCHSIA@104=_panvk_CreateImagePipeSurfaceFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateImagePipeSurfaceFUCHSIA=panvk_CreateImagePipeSurfaceFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateImagePipeSurfaceFUCHSIA(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
#ifdef _MSC_VER
    VkResult (*panvk_CreateStreamDescriptorSurfaceGGP_Null)(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@4=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@8=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@12=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@16=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@20=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@24=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@28=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@32=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@36=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@40=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@44=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@48=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@60=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateStreamDescriptorSurfaceGGP@104=_panvk_CreateStreamDescriptorSurfaceGGP_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateStreamDescriptorSurfaceGGP=panvk_CreateStreamDescriptorSurfaceGGP_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateStreamDescriptorSurfaceGGP(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_GGP
#ifdef VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkResult (*panvk_CreateScreenSurfaceQNX_Null)(VkInstance instance, const VkScreenSurfaceCreateInfoQNX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@4=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@8=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@12=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@16=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@20=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@24=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@28=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@32=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@36=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@40=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@44=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@48=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@60=_panvk_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateScreenSurfaceQNX@104=_panvk_CreateScreenSurfaceQNX_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateScreenSurfaceQNX=panvk_CreateScreenSurfaceQNX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateScreenSurfaceQNX(VkInstance instance, const VkScreenSurfaceCreateInfoQNX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkResult (*panvk_CreateDebugReportCallbackEXT_Null)(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@4=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@8=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@12=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@16=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@20=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@24=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@28=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@32=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@36=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@40=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@44=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@48=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@60=_panvk_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugReportCallbackEXT@104=_panvk_CreateDebugReportCallbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDebugReportCallbackEXT=panvk_CreateDebugReportCallbackEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDebugReportCallbackEXT(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyDebugReportCallbackEXT_Null)(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@4=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@8=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@12=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@16=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@20=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@24=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@28=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@32=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@36=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@40=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@44=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@48=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@60=_panvk_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugReportCallbackEXT@104=_panvk_DestroyDebugReportCallbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyDebugReportCallbackEXT=panvk_DestroyDebugReportCallbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyDebugReportCallbackEXT(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DebugReportMessageEXT_Null)(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@4=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@8=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@12=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@16=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@20=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@24=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@28=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@32=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@36=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@40=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@44=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@48=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@60=_panvk_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugReportMessageEXT@104=_panvk_DebugReportMessageEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DebugReportMessageEXT=panvk_DebugReportMessageEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DebugReportMessageEXT(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_EnumeratePhysicalDeviceGroups_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@4=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@8=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@12=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@16=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@20=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@24=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@28=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@32=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@36=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@40=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@44=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@48=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@60=_panvk_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroups@104=_panvk_EnumeratePhysicalDeviceGroups_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EnumeratePhysicalDeviceGroups=panvk_EnumeratePhysicalDeviceGroups_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EnumeratePhysicalDeviceGroups(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_EnumeratePhysicalDeviceGroupsKHR_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@4=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@8=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@12=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@16=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@20=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@24=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@28=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@32=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@36=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@40=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@44=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@48=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@60=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceGroupsKHR@104=_panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EnumeratePhysicalDeviceGroupsKHR=panvk_EnumeratePhysicalDeviceGroupsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EnumeratePhysicalDeviceGroupsKHR(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_IOS_MVK
#ifdef _MSC_VER
    VkResult (*panvk_CreateIOSSurfaceMVK_Null)(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@4=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@8=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@12=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@16=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@20=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@24=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@28=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@32=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@36=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@40=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@44=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@48=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@60=_panvk_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIOSSurfaceMVK@104=_panvk_CreateIOSSurfaceMVK_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateIOSSurfaceMVK=panvk_CreateIOSSurfaceMVK_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateIOSSurfaceMVK(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
#ifdef _MSC_VER
    VkResult (*panvk_CreateMacOSSurfaceMVK_Null)(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@4=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@8=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@12=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@16=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@20=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@24=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@28=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@32=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@36=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@40=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@44=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@48=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@60=_panvk_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMacOSSurfaceMVK@104=_panvk_CreateMacOSSurfaceMVK_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateMacOSSurfaceMVK=panvk_CreateMacOSSurfaceMVK_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateMacOSSurfaceMVK(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    VkResult (*panvk_CreateMetalSurfaceEXT_Null)(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@4=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@8=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@12=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@16=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@20=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@24=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@28=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@32=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@36=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@40=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@44=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@48=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@60=_panvk_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateMetalSurfaceEXT@104=_panvk_CreateMetalSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateMetalSurfaceEXT=panvk_CreateMetalSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateMetalSurfaceEXT(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    VkResult (*panvk_CreateDebugUtilsMessengerEXT_Null)(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@4=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@8=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@12=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@16=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@20=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@24=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@28=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@32=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@36=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@40=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@44=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@48=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@60=_panvk_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDebugUtilsMessengerEXT@104=_panvk_CreateDebugUtilsMessengerEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDebugUtilsMessengerEXT=panvk_CreateDebugUtilsMessengerEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDebugUtilsMessengerEXT(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyDebugUtilsMessengerEXT_Null)(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@4=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@8=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@12=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@16=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@20=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@24=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@28=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@32=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@36=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@40=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@44=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@48=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@60=_panvk_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDebugUtilsMessengerEXT@104=_panvk_DestroyDebugUtilsMessengerEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyDebugUtilsMessengerEXT=panvk_DestroyDebugUtilsMessengerEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyDebugUtilsMessengerEXT(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_SubmitDebugUtilsMessageEXT_Null)(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@4=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@8=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@12=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@16=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@20=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@24=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@28=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@32=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@36=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@40=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@44=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@48=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@60=_panvk_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SubmitDebugUtilsMessageEXT@104=_panvk_SubmitDebugUtilsMessageEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_SubmitDebugUtilsMessageEXT=panvk_SubmitDebugUtilsMessageEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_SubmitDebugUtilsMessageEXT(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateHeadlessSurfaceEXT_Null)(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@4=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@8=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@12=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@16=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@20=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@24=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@28=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@32=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@36=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@40=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@44=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@48=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@60=_panvk_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateHeadlessSurfaceEXT@104=_panvk_CreateHeadlessSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateHeadlessSurfaceEXT=panvk_CreateHeadlessSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateHeadlessSurfaceEXT(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif

const struct vk_instance_entrypoint_table panvk_instance_entrypoints = {
    .CreateInstance = panvk_CreateInstance,
    .DestroyInstance = panvk_DestroyInstance,
    .EnumeratePhysicalDevices = panvk_EnumeratePhysicalDevices,
    .GetInstanceProcAddr = panvk_GetInstanceProcAddr,
    .EnumerateInstanceVersion = panvk_EnumerateInstanceVersion,
    .EnumerateInstanceLayerProperties = panvk_EnumerateInstanceLayerProperties,
    .EnumerateInstanceExtensionProperties = panvk_EnumerateInstanceExtensionProperties,
    .GetSubpassShadingMaxWorkgroupSizeHUAWEI = panvk_GetSubpassShadingMaxWorkgroupSizeHUAWEI,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .CreateAndroidSurfaceKHR = panvk_CreateAndroidSurfaceKHR,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CreateDisplayPlaneSurfaceKHR = panvk_CreateDisplayPlaneSurfaceKHR,
    .DestroySurfaceKHR = panvk_DestroySurfaceKHR,
#ifdef VK_USE_PLATFORM_VI_NN
    .CreateViSurfaceNN = panvk_CreateViSurfaceNN,
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .CreateWaylandSurfaceKHR = panvk_CreateWaylandSurfaceKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .CreateWin32SurfaceKHR = panvk_CreateWin32SurfaceKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .CreateXlibSurfaceKHR = panvk_CreateXlibSurfaceKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .CreateXcbSurfaceKHR = panvk_CreateXcbSurfaceKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .CreateDirectFBSurfaceEXT = panvk_CreateDirectFBSurfaceEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
    .CreateImagePipeSurfaceFUCHSIA = panvk_CreateImagePipeSurfaceFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
    .CreateStreamDescriptorSurfaceGGP = panvk_CreateStreamDescriptorSurfaceGGP,
#endif // VK_USE_PLATFORM_GGP
#ifdef VK_USE_PLATFORM_SCREEN_QNX
    .CreateScreenSurfaceQNX = panvk_CreateScreenSurfaceQNX,
#endif // VK_USE_PLATFORM_SCREEN_QNX
    .CreateDebugReportCallbackEXT = panvk_CreateDebugReportCallbackEXT,
    .DestroyDebugReportCallbackEXT = panvk_DestroyDebugReportCallbackEXT,
    .DebugReportMessageEXT = panvk_DebugReportMessageEXT,
    .EnumeratePhysicalDeviceGroups = panvk_EnumeratePhysicalDeviceGroups,
    .EnumeratePhysicalDeviceGroupsKHR = panvk_EnumeratePhysicalDeviceGroupsKHR,
#ifdef VK_USE_PLATFORM_IOS_MVK
    .CreateIOSSurfaceMVK = panvk_CreateIOSSurfaceMVK,
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
    .CreateMacOSSurfaceMVK = panvk_CreateMacOSSurfaceMVK,
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
    .CreateMetalSurfaceEXT = panvk_CreateMetalSurfaceEXT,
#endif // VK_USE_PLATFORM_METAL_EXT
    .CreateDebugUtilsMessengerEXT = panvk_CreateDebugUtilsMessengerEXT,
    .DestroyDebugUtilsMessengerEXT = panvk_DestroyDebugUtilsMessengerEXT,
    .SubmitDebugUtilsMessageEXT = panvk_SubmitDebugUtilsMessageEXT,
    .CreateHeadlessSurfaceEXT = panvk_CreateHeadlessSurfaceEXT,
};


#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@4=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@8=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@12=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@16=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@20=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@24=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@28=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@32=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@36=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@40=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@44=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@48=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@60=_panvk_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties@104=_panvk_GetPhysicalDeviceProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceProperties=panvk_GetPhysicalDeviceProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceQueueFamilyProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@4=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@8=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@12=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@16=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@20=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@24=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@28=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@32=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@36=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@40=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@44=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@48=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@60=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties@104=_panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceQueueFamilyProperties=panvk_GetPhysicalDeviceQueueFamilyProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceQueueFamilyProperties(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceMemoryProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@4=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@8=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@12=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@16=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@20=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@24=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@28=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@32=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@36=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@40=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@44=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@48=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@60=_panvk_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties@104=_panvk_GetPhysicalDeviceMemoryProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceMemoryProperties=panvk_GetPhysicalDeviceMemoryProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceMemoryProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceFeatures_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@4=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@8=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@12=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@16=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@20=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@24=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@28=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@32=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@36=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@40=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@44=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@48=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@60=_panvk_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures@104=_panvk_GetPhysicalDeviceFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceFeatures=panvk_GetPhysicalDeviceFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceFeatures(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@4=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@8=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@12=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@16=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@20=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@24=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@28=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@32=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@36=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@40=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@44=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@48=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@60=_panvk_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties@104=_panvk_GetPhysicalDeviceFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceFormatProperties=panvk_GetPhysicalDeviceFormatProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@4=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@8=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@12=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@16=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@20=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@24=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@28=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@32=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@36=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@40=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@44=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@48=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@60=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties@104=_panvk_GetPhysicalDeviceImageFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceImageFormatProperties=panvk_GetPhysicalDeviceImageFormatProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateDevice_Null)(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@4=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@8=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@12=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@16=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@20=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@24=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@28=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@32=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@36=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@40=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@44=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@48=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@60=_panvk_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDevice@104=_panvk_CreateDevice_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDevice=panvk_CreateDevice_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDevice(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_EnumerateDeviceLayerProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@4=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@8=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@12=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@16=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@20=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@24=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@28=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@32=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@36=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@40=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@44=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@48=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@60=_panvk_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceLayerProperties@104=_panvk_EnumerateDeviceLayerProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EnumerateDeviceLayerProperties=panvk_EnumerateDeviceLayerProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EnumerateDeviceLayerProperties(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_EnumerateDeviceExtensionProperties_Null)(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@4=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@8=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@12=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@16=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@20=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@24=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@28=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@32=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@36=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@40=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@44=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@48=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@60=_panvk_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumerateDeviceExtensionProperties@104=_panvk_EnumerateDeviceExtensionProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EnumerateDeviceExtensionProperties=panvk_EnumerateDeviceExtensionProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EnumerateDeviceExtensionProperties(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceSparseImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@4=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@8=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@12=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@16=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@20=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@24=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@28=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@32=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@36=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@40=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@44=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@48=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@60=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties@104=_panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSparseImageFormatProperties=panvk_GetPhysicalDeviceSparseImageFormatProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceSparseImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@4=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@8=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@12=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@16=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@20=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@24=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@28=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@32=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@36=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@40=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@44=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@48=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@60=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPropertiesKHR@104=_panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceDisplayPropertiesKHR=panvk_GetPhysicalDeviceDisplayPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceDisplayPropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@4=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@8=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@12=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@16=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@20=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@24=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@28=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@32=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@36=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@40=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@44=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@48=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@60=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR@104=_panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR=panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetDisplayPlaneSupportedDisplaysKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@4=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@8=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@12=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@16=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@20=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@24=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@28=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@32=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@36=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@40=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@44=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@48=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@60=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneSupportedDisplaysKHR@104=_panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDisplayPlaneSupportedDisplaysKHR=panvk_GetDisplayPlaneSupportedDisplaysKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDisplayPlaneSupportedDisplaysKHR(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetDisplayModePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@4=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@8=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@12=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@16=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@20=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@24=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@28=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@32=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@36=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@40=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@44=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@48=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@60=_panvk_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModePropertiesKHR@104=_panvk_GetDisplayModePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDisplayModePropertiesKHR=panvk_GetDisplayModePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDisplayModePropertiesKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateDisplayModeKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@4=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@8=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@12=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@16=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@20=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@24=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@28=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@32=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@36=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@40=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@44=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@48=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@60=_panvk_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDisplayModeKHR@104=_panvk_CreateDisplayModeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDisplayModeKHR=panvk_CreateDisplayModeKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDisplayModeKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetDisplayPlaneCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@4=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@8=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@12=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@16=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@20=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@24=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@28=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@32=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@36=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@40=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@44=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@48=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@60=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilitiesKHR@104=_panvk_GetDisplayPlaneCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDisplayPlaneCapabilitiesKHR=panvk_GetDisplayPlaneCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDisplayPlaneCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceSurfaceSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@4=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@8=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@12=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@16=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@20=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@24=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@28=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@32=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@36=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@40=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@44=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@48=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@60=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceSupportKHR@104=_panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSurfaceSupportKHR=panvk_GetPhysicalDeviceSurfaceSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceSurfaceSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@4=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@8=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@12=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@16=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@20=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@24=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@28=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@32=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@36=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@40=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@44=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@48=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@60=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR@104=_panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR=panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@4=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@8=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@12=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@16=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@20=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@24=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@28=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@32=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@36=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@40=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@44=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@48=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@60=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormatsKHR@104=_panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSurfaceFormatsKHR=panvk_GetPhysicalDeviceSurfaceFormatsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceSurfaceFormatsKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@4=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@8=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@12=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@16=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@20=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@24=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@28=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@32=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@36=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@40=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@44=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@48=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@60=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModesKHR@104=_panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSurfacePresentModesKHR=panvk_GetPhysicalDeviceSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceSurfacePresentModesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    VkBool32 (*panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@4=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@8=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@12=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@16=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@20=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@24=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@28=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@32=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@36=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@40=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@44=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@48=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@60=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR@104=_panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceWaylandPresentationSupportKHR=panvk_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL panvk_GetPhysicalDeviceWaylandPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkBool32 (*panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@4=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@8=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@12=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@16=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@20=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@24=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@28=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@32=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@36=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@40=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@44=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@48=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@60=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceWin32PresentationSupportKHR@104=_panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceWin32PresentationSupportKHR=panvk_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL panvk_GetPhysicalDeviceWin32PresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    VkBool32 (*panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@4=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@8=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@12=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@16=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@20=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@24=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@28=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@32=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@36=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@40=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@44=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@48=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@60=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXlibPresentationSupportKHR@104=_panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceXlibPresentationSupportKHR=panvk_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL panvk_GetPhysicalDeviceXlibPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    VkBool32 (*panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@4=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@8=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@12=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@16=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@20=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@24=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@28=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@32=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@36=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@40=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@44=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@48=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@60=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceXcbPresentationSupportKHR@104=_panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceXcbPresentationSupportKHR=panvk_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL panvk_GetPhysicalDeviceXcbPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    VkBool32 (*panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@4=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@8=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@12=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@16=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@20=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@24=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@28=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@32=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@36=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@40=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@44=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@48=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@60=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT@104=_panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT=panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkBool32 (*panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct _screen_window* window) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@4=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@8=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@12=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@16=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@20=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@24=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@28=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@32=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@36=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@40=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@44=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@48=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@60=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceScreenPresentationSupportQNX@104=_panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceScreenPresentationSupportQNX=panvk_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL panvk_GetPhysicalDeviceScreenPresentationSupportQNX(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct _screen_window* window) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@4=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@8=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@12=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@16=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@20=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@24=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@28=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@32=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@36=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@40=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@44=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@48=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@60=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV@104=_panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV=panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceFeatures2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@4=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@8=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@12=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@16=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@20=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@24=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@28=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@32=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@36=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@40=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@44=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@48=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@60=_panvk_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2@104=_panvk_GetPhysicalDeviceFeatures2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceFeatures2=panvk_GetPhysicalDeviceFeatures2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceFeatures2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceFeatures2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@4=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@8=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@12=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@16=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@20=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@24=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@28=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@32=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@36=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@40=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@44=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@48=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@60=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFeatures2KHR@104=_panvk_GetPhysicalDeviceFeatures2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceFeatures2KHR=panvk_GetPhysicalDeviceFeatures2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceFeatures2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@4=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@8=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@12=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@16=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@20=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@24=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@28=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@32=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@36=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@40=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@44=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@48=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@60=_panvk_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2@104=_panvk_GetPhysicalDeviceProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceProperties2=panvk_GetPhysicalDeviceProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@4=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@8=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@12=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@16=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@20=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@24=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@28=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@32=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@36=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@40=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@44=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@48=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@60=_panvk_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceProperties2KHR@104=_panvk_GetPhysicalDeviceProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceProperties2KHR=panvk_GetPhysicalDeviceProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceFormatProperties2_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@4=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@8=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@12=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@16=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@20=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@24=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@28=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@32=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@36=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@40=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@44=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@48=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@60=_panvk_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2@104=_panvk_GetPhysicalDeviceFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceFormatProperties2=panvk_GetPhysicalDeviceFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceFormatProperties2(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@4=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@8=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@12=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@16=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@20=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@24=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@28=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@32=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@36=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@40=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@44=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@48=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@60=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFormatProperties2KHR@104=_panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceFormatProperties2KHR=panvk_GetPhysicalDeviceFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceFormatProperties2KHR(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@4=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@8=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@12=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@16=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@20=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@24=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@28=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@32=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@36=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@40=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@44=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@48=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@60=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2@104=_panvk_GetPhysicalDeviceImageFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceImageFormatProperties2=panvk_GetPhysicalDeviceImageFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@4=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@8=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@12=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@16=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@20=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@24=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@28=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@32=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@36=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@40=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@44=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@48=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@60=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceImageFormatProperties2KHR@104=_panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceImageFormatProperties2KHR=panvk_GetPhysicalDeviceImageFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceQueueFamilyProperties2_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@4=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@8=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@12=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@16=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@20=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@24=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@28=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@32=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@36=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@40=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@44=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@48=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@60=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2@104=_panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceQueueFamilyProperties2=panvk_GetPhysicalDeviceQueueFamilyProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceQueueFamilyProperties2(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@4=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@8=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@12=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@16=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@20=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@24=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@28=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@32=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@36=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@40=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@44=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@48=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@60=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR@104=_panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceQueueFamilyProperties2KHR=panvk_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceQueueFamilyProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceMemoryProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@4=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@8=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@12=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@16=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@20=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@24=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@28=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@32=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@36=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@40=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@44=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@48=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@60=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2@104=_panvk_GetPhysicalDeviceMemoryProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceMemoryProperties2=panvk_GetPhysicalDeviceMemoryProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceMemoryProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceMemoryProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@4=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@8=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@12=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@16=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@20=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@24=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@28=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@32=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@36=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@40=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@44=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@48=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@60=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMemoryProperties2KHR@104=_panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceMemoryProperties2KHR=panvk_GetPhysicalDeviceMemoryProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceMemoryProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@4=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@8=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@12=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@16=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@20=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@24=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@28=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@32=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@36=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@40=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@44=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@48=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@60=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2@104=_panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSparseImageFormatProperties2=panvk_GetPhysicalDeviceSparseImageFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceSparseImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@4=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@8=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@12=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@16=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@20=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@24=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@28=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@32=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@36=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@40=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@44=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@48=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@60=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR@104=_panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR=panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceExternalBufferProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@4=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@8=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@12=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@16=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@20=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@24=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@28=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@32=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@36=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@40=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@44=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@48=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@60=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferProperties@104=_panvk_GetPhysicalDeviceExternalBufferProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceExternalBufferProperties=panvk_GetPhysicalDeviceExternalBufferProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceExternalBufferProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@4=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@8=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@12=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@16=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@20=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@24=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@28=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@32=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@36=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@40=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@44=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@48=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@60=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR@104=_panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceExternalBufferPropertiesKHR=panvk_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceExternalBufferPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@4=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@8=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@12=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@16=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@20=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@24=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@28=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@32=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@36=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@40=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@44=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@48=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@60=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphoreProperties@104=_panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceExternalSemaphoreProperties=panvk_GetPhysicalDeviceExternalSemaphoreProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceExternalSemaphoreProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@4=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@8=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@12=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@16=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@20=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@24=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@28=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@32=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@36=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@40=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@44=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@48=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@60=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR@104=_panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR=panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceExternalFenceProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@4=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@8=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@12=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@16=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@20=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@24=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@28=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@32=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@36=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@40=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@44=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@48=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@60=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFenceProperties@104=_panvk_GetPhysicalDeviceExternalFenceProperties_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceExternalFenceProperties=panvk_GetPhysicalDeviceExternalFenceProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceExternalFenceProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@4=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@8=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@12=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@16=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@20=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@24=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@28=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@32=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@36=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@40=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@44=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@48=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@60=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceExternalFencePropertiesKHR@104=_panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceExternalFencePropertiesKHR=panvk_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceExternalFencePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_ReleaseDisplayEXT_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@4=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@8=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@12=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@16=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@20=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@24=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@28=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@32=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@36=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@40=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@44=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@48=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@60=_panvk_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseDisplayEXT@104=_panvk_ReleaseDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ReleaseDisplayEXT=panvk_ReleaseDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ReleaseDisplayEXT(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    VkResult (*panvk_AcquireXlibDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@4=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@8=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@12=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@16=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@20=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@24=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@28=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@32=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@36=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@40=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@44=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@48=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@60=_panvk_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireXlibDisplayEXT@104=_panvk_AcquireXlibDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AcquireXlibDisplayEXT=panvk_AcquireXlibDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AcquireXlibDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    VkResult (*panvk_GetRandROutputDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@4=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@8=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@12=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@16=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@20=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@24=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@28=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@32=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@36=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@40=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@44=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@48=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@60=_panvk_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRandROutputDisplayEXT@104=_panvk_GetRandROutputDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetRandROutputDisplayEXT=panvk_GetRandROutputDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetRandROutputDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_AcquireWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@4=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@8=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@12=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@16=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@20=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@24=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@28=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@32=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@36=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@40=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@44=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@48=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@60=_panvk_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireWinrtDisplayNV@104=_panvk_AcquireWinrtDisplayNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AcquireWinrtDisplayNV=panvk_AcquireWinrtDisplayNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AcquireWinrtDisplayNV(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@4=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@8=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@12=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@16=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@20=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@24=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@28=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@32=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@36=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@40=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@44=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@48=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@60=_panvk_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetWinrtDisplayNV@104=_panvk_GetWinrtDisplayNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetWinrtDisplayNV=panvk_GetWinrtDisplayNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetWinrtDisplayNV(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@4=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@8=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@12=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@16=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@20=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@24=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@28=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@32=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@36=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@40=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@44=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@48=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@60=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT@104=_panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSurfaceCapabilities2EXT=panvk_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceSurfaceCapabilities2EXT(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDevicePresentRectanglesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@4=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@8=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@12=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@16=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@20=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@24=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@28=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@32=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@36=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@40=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@44=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@48=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@60=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDevicePresentRectanglesKHR@104=_panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDevicePresentRectanglesKHR=panvk_GetPhysicalDevicePresentRectanglesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDevicePresentRectanglesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null)(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@4=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@8=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@12=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@16=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@20=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@24=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@28=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@32=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@36=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@40=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@44=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@48=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@60=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceMultisamplePropertiesEXT@104=_panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceMultisamplePropertiesEXT=panvk_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceMultisamplePropertiesEXT(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@4=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@8=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@12=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@16=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@20=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@24=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@28=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@32=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@36=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@40=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@44=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@48=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@60=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR@104=_panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSurfaceCapabilities2KHR=panvk_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceSurfaceCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@4=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@8=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@12=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@16=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@20=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@24=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@28=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@32=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@36=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@40=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@44=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@48=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@60=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfaceFormats2KHR@104=_panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSurfaceFormats2KHR=panvk_GetPhysicalDeviceSurfaceFormats2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceSurfaceFormats2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceDisplayProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@4=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@8=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@12=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@16=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@20=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@24=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@28=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@32=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@36=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@40=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@44=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@48=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@60=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayProperties2KHR@104=_panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceDisplayProperties2KHR=panvk_GetPhysicalDeviceDisplayProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceDisplayProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@4=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@8=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@12=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@16=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@20=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@24=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@28=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@32=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@36=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@40=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@44=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@48=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@60=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR@104=_panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR=panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetDisplayModeProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@4=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@8=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@12=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@16=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@20=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@24=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@28=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@32=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@36=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@40=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@44=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@48=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@60=_panvk_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayModeProperties2KHR@104=_panvk_GetDisplayModeProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDisplayModeProperties2KHR=panvk_GetDisplayModeProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDisplayModeProperties2KHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetDisplayPlaneCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@4=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@8=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@12=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@16=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@20=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@24=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@28=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@32=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@36=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@40=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@44=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@48=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@60=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDisplayPlaneCapabilities2KHR@104=_panvk_GetDisplayPlaneCapabilities2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDisplayPlaneCapabilities2KHR=panvk_GetDisplayPlaneCapabilities2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDisplayPlaneCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@4=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@8=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@12=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@16=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@20=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@24=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@28=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@32=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@36=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@40=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@44=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@48=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@60=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT@104=_panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT=panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@4=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@8=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@12=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@16=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@20=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@24=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@28=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@32=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@36=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@40=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@44=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@48=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@60=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV@104=_panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV=panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@4=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@8=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@12=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@16=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@20=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@24=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@28=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@32=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@36=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@40=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@44=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@48=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@60=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSurfacePresentModes2EXT@104=_panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSurfacePresentModes2EXT=panvk_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceSurfacePresentModes2EXT(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@4=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@8=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@12=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@16=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@20=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@24=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@28=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@32=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@36=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@40=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@44=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@48=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@60=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@104=_panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR=panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null)(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@4=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@8=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@12=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@16=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@20=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@24=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@28=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@32=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@36=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@40=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@44=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@48=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@60=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@104=_panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR=panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@4=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@8=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@12=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@16=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@20=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@24=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@28=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@32=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@36=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@40=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@44=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@48=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@60=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@104=_panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV=panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceToolPropertiesEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@4=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@8=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@12=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@16=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@20=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@24=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@28=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@32=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@36=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@40=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@44=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@48=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@60=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceToolPropertiesEXT@104=_panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceToolPropertiesEXT=panvk_GetPhysicalDeviceToolPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceToolPropertiesEXT(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@4=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@8=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@12=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@16=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@20=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@24=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@28=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@32=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@36=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@40=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@44=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@48=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@60=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceFragmentShadingRatesKHR@104=_panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceFragmentShadingRatesKHR=panvk_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceFragmentShadingRatesKHR(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) __attribute__ ((weak));
#endif
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkVideoProfileKHR* pVideoProfile, VkVideoCapabilitiesKHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@4=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@8=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@12=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@16=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@20=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@24=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@28=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@32=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@36=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@40=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@44=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@48=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@60=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoCapabilitiesKHR@104=_panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceVideoCapabilitiesKHR=panvk_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceVideoCapabilitiesKHR(VkPhysicalDevice physicalDevice, const VkVideoProfileKHR* pVideoProfile, VkVideoCapabilitiesKHR* pCapabilities) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceVideoFormatInfoKHR* pVideoFormatInfo, uint32_t* pVideoFormatPropertyCount, VkVideoFormatPropertiesKHR* pVideoFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@4=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@8=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@12=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@16=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@20=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@24=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@28=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@32=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@36=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@40=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@44=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@48=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@60=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR@104=_panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPhysicalDeviceVideoFormatPropertiesKHR=panvk_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPhysicalDeviceVideoFormatPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceVideoFormatInfoKHR* pVideoFormatInfo, uint32_t* pVideoFormatPropertyCount, VkVideoFormatPropertiesKHR* pVideoFormatProperties) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*panvk_AcquireDrmDisplayEXT_Null)(VkPhysicalDevice physicalDevice, int32_t drmFd, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@4=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@8=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@12=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@16=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@20=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@24=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@28=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@32=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@36=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@40=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@44=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@48=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@60=_panvk_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireDrmDisplayEXT@104=_panvk_AcquireDrmDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AcquireDrmDisplayEXT=panvk_AcquireDrmDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AcquireDrmDisplayEXT(VkPhysicalDevice physicalDevice, int32_t drmFd, VkDisplayKHR display) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetDrmDisplayEXT_Null)(VkPhysicalDevice physicalDevice, int32_t drmFd, uint32_t connectorId, VkDisplayKHR* display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@4=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@8=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@12=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@16=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@20=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@24=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@28=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@32=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@36=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@40=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@44=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@48=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@60=_panvk_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDrmDisplayEXT@104=_panvk_GetDrmDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDrmDisplayEXT=panvk_GetDrmDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDrmDisplayEXT(VkPhysicalDevice physicalDevice, int32_t drmFd, uint32_t connectorId, VkDisplayKHR* display) __attribute__ ((weak));
#endif

const struct vk_physical_device_entrypoint_table panvk_physical_device_entrypoints = {
    .GetPhysicalDeviceProperties = panvk_GetPhysicalDeviceProperties,
    .GetPhysicalDeviceQueueFamilyProperties = panvk_GetPhysicalDeviceQueueFamilyProperties,
    .GetPhysicalDeviceMemoryProperties = panvk_GetPhysicalDeviceMemoryProperties,
    .GetPhysicalDeviceFeatures = panvk_GetPhysicalDeviceFeatures,
    .GetPhysicalDeviceFormatProperties = panvk_GetPhysicalDeviceFormatProperties,
    .GetPhysicalDeviceImageFormatProperties = panvk_GetPhysicalDeviceImageFormatProperties,
    .CreateDevice = panvk_CreateDevice,
    .EnumerateDeviceLayerProperties = panvk_EnumerateDeviceLayerProperties,
    .EnumerateDeviceExtensionProperties = panvk_EnumerateDeviceExtensionProperties,
    .GetPhysicalDeviceSparseImageFormatProperties = panvk_GetPhysicalDeviceSparseImageFormatProperties,
    .GetPhysicalDeviceDisplayPropertiesKHR = panvk_GetPhysicalDeviceDisplayPropertiesKHR,
    .GetPhysicalDeviceDisplayPlanePropertiesKHR = panvk_GetPhysicalDeviceDisplayPlanePropertiesKHR,
    .GetDisplayPlaneSupportedDisplaysKHR = panvk_GetDisplayPlaneSupportedDisplaysKHR,
    .GetDisplayModePropertiesKHR = panvk_GetDisplayModePropertiesKHR,
    .CreateDisplayModeKHR = panvk_CreateDisplayModeKHR,
    .GetDisplayPlaneCapabilitiesKHR = panvk_GetDisplayPlaneCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceSupportKHR = panvk_GetPhysicalDeviceSurfaceSupportKHR,
    .GetPhysicalDeviceSurfaceCapabilitiesKHR = panvk_GetPhysicalDeviceSurfaceCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceFormatsKHR = panvk_GetPhysicalDeviceSurfaceFormatsKHR,
    .GetPhysicalDeviceSurfacePresentModesKHR = panvk_GetPhysicalDeviceSurfacePresentModesKHR,
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .GetPhysicalDeviceWaylandPresentationSupportKHR = panvk_GetPhysicalDeviceWaylandPresentationSupportKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceWin32PresentationSupportKHR = panvk_GetPhysicalDeviceWin32PresentationSupportKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .GetPhysicalDeviceXlibPresentationSupportKHR = panvk_GetPhysicalDeviceXlibPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .GetPhysicalDeviceXcbPresentationSupportKHR = panvk_GetPhysicalDeviceXcbPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .GetPhysicalDeviceDirectFBPresentationSupportEXT = panvk_GetPhysicalDeviceDirectFBPresentationSupportEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_SCREEN_QNX
    .GetPhysicalDeviceScreenPresentationSupportQNX = panvk_GetPhysicalDeviceScreenPresentationSupportQNX,
#endif // VK_USE_PLATFORM_SCREEN_QNX
    .GetPhysicalDeviceExternalImageFormatPropertiesNV = panvk_GetPhysicalDeviceExternalImageFormatPropertiesNV,
    .GetPhysicalDeviceFeatures2 = panvk_GetPhysicalDeviceFeatures2,
    .GetPhysicalDeviceFeatures2KHR = panvk_GetPhysicalDeviceFeatures2KHR,
    .GetPhysicalDeviceProperties2 = panvk_GetPhysicalDeviceProperties2,
    .GetPhysicalDeviceProperties2KHR = panvk_GetPhysicalDeviceProperties2KHR,
    .GetPhysicalDeviceFormatProperties2 = panvk_GetPhysicalDeviceFormatProperties2,
    .GetPhysicalDeviceFormatProperties2KHR = panvk_GetPhysicalDeviceFormatProperties2KHR,
    .GetPhysicalDeviceImageFormatProperties2 = panvk_GetPhysicalDeviceImageFormatProperties2,
    .GetPhysicalDeviceImageFormatProperties2KHR = panvk_GetPhysicalDeviceImageFormatProperties2KHR,
    .GetPhysicalDeviceQueueFamilyProperties2 = panvk_GetPhysicalDeviceQueueFamilyProperties2,
    .GetPhysicalDeviceQueueFamilyProperties2KHR = panvk_GetPhysicalDeviceQueueFamilyProperties2KHR,
    .GetPhysicalDeviceMemoryProperties2 = panvk_GetPhysicalDeviceMemoryProperties2,
    .GetPhysicalDeviceMemoryProperties2KHR = panvk_GetPhysicalDeviceMemoryProperties2KHR,
    .GetPhysicalDeviceSparseImageFormatProperties2 = panvk_GetPhysicalDeviceSparseImageFormatProperties2,
    .GetPhysicalDeviceSparseImageFormatProperties2KHR = panvk_GetPhysicalDeviceSparseImageFormatProperties2KHR,
    .GetPhysicalDeviceExternalBufferProperties = panvk_GetPhysicalDeviceExternalBufferProperties,
    .GetPhysicalDeviceExternalBufferPropertiesKHR = panvk_GetPhysicalDeviceExternalBufferPropertiesKHR,
    .GetPhysicalDeviceExternalSemaphoreProperties = panvk_GetPhysicalDeviceExternalSemaphoreProperties,
    .GetPhysicalDeviceExternalSemaphorePropertiesKHR = panvk_GetPhysicalDeviceExternalSemaphorePropertiesKHR,
    .GetPhysicalDeviceExternalFenceProperties = panvk_GetPhysicalDeviceExternalFenceProperties,
    .GetPhysicalDeviceExternalFencePropertiesKHR = panvk_GetPhysicalDeviceExternalFencePropertiesKHR,
    .ReleaseDisplayEXT = panvk_ReleaseDisplayEXT,
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .AcquireXlibDisplayEXT = panvk_AcquireXlibDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .GetRandROutputDisplayEXT = panvk_GetRandROutputDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireWinrtDisplayNV = panvk_AcquireWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetWinrtDisplayNV = panvk_GetWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfaceCapabilities2EXT = panvk_GetPhysicalDeviceSurfaceCapabilities2EXT,
    .GetPhysicalDevicePresentRectanglesKHR = panvk_GetPhysicalDevicePresentRectanglesKHR,
    .GetPhysicalDeviceMultisamplePropertiesEXT = panvk_GetPhysicalDeviceMultisamplePropertiesEXT,
    .GetPhysicalDeviceSurfaceCapabilities2KHR = panvk_GetPhysicalDeviceSurfaceCapabilities2KHR,
    .GetPhysicalDeviceSurfaceFormats2KHR = panvk_GetPhysicalDeviceSurfaceFormats2KHR,
    .GetPhysicalDeviceDisplayProperties2KHR = panvk_GetPhysicalDeviceDisplayProperties2KHR,
    .GetPhysicalDeviceDisplayPlaneProperties2KHR = panvk_GetPhysicalDeviceDisplayPlaneProperties2KHR,
    .GetDisplayModeProperties2KHR = panvk_GetDisplayModeProperties2KHR,
    .GetDisplayPlaneCapabilities2KHR = panvk_GetDisplayPlaneCapabilities2KHR,
    .GetPhysicalDeviceCalibrateableTimeDomainsEXT = panvk_GetPhysicalDeviceCalibrateableTimeDomainsEXT,
    .GetPhysicalDeviceCooperativeMatrixPropertiesNV = panvk_GetPhysicalDeviceCooperativeMatrixPropertiesNV,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfacePresentModes2EXT = panvk_GetPhysicalDeviceSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR = panvk_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR,
    .GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR = panvk_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR,
    .GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV = panvk_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV,
    .GetPhysicalDeviceToolPropertiesEXT = panvk_GetPhysicalDeviceToolPropertiesEXT,
    .GetPhysicalDeviceFragmentShadingRatesKHR = panvk_GetPhysicalDeviceFragmentShadingRatesKHR,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetPhysicalDeviceVideoCapabilitiesKHR = panvk_GetPhysicalDeviceVideoCapabilitiesKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetPhysicalDeviceVideoFormatPropertiesKHR = panvk_GetPhysicalDeviceVideoFormatPropertiesKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .AcquireDrmDisplayEXT = panvk_AcquireDrmDisplayEXT,
    .GetDrmDisplayEXT = panvk_GetDrmDisplayEXT,
};


#ifdef _MSC_VER
    PFN_vkVoidFunction (*panvk_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@4=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@8=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@12=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@16=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@20=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@24=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@28=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@32=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@36=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@40=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@44=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@48=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@60=_panvk_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceProcAddr@104=_panvk_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceProcAddr=panvk_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL panvk_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@4=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@8=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@12=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@16=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@20=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@24=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@28=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@32=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@36=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@40=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@44=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@48=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@60=_panvk_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDevice@104=_panvk_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyDevice=panvk_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@4=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@8=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@12=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@16=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@20=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@24=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@28=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@32=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@36=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@40=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@44=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@48=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@60=_panvk_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue@104=_panvk_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceQueue=panvk_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@4=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@8=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@12=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@16=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@20=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@24=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@28=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@32=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@36=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@40=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@44=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@48=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@60=_panvk_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit@104=_panvk_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueueSubmit=panvk_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@4=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@8=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@12=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@16=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@20=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@24=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@28=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@32=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@36=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@40=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@44=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@48=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@60=_panvk_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueWaitIdle@104=_panvk_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueueWaitIdle=panvk_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@4=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@8=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@12=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@16=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@20=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@24=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@28=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@32=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@36=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@40=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@44=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@48=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@60=_panvk_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeviceWaitIdle@104=_panvk_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DeviceWaitIdle=panvk_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@4=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@8=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@12=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@16=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@20=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@24=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@28=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@32=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@36=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@40=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@44=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@48=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@60=_panvk_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateMemory@104=_panvk_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AllocateMemory=panvk_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@4=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@8=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@12=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@16=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@20=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@24=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@28=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@32=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@36=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@40=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@44=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@48=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@60=_panvk_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeMemory@104=_panvk_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_FreeMemory=panvk_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@4=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@8=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@12=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@16=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@20=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@24=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@28=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@32=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@36=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@40=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@44=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@48=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@60=_panvk_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_MapMemory@104=_panvk_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_MapMemory=panvk_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@4=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@8=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@12=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@16=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@20=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@24=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@28=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@32=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@36=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@40=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@44=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@48=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@60=_panvk_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_UnmapMemory@104=_panvk_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_UnmapMemory=panvk_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@4=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@8=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@12=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@16=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@20=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@24=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@28=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@32=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@36=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@40=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@44=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@48=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@60=_panvk_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_FlushMappedMemoryRanges@104=_panvk_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_FlushMappedMemoryRanges=panvk_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@4=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@8=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@12=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@16=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@20=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@24=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@28=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@32=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@36=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@40=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@44=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@48=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@60=_panvk_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_panvk_InvalidateMappedMemoryRanges@104=_panvk_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_InvalidateMappedMemoryRanges=panvk_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@4=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@8=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@12=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@16=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@20=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@24=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@28=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@32=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@36=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@40=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@44=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@48=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@60=_panvk_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryCommitment@104=_panvk_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceMemoryCommitment=panvk_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@4=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@8=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@12=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@16=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@20=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@24=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@28=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@32=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@36=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@40=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@44=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@48=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@60=_panvk_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements@104=_panvk_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetBufferMemoryRequirements=panvk_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@4=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@8=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@12=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@16=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@20=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@24=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@28=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@32=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@36=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@40=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@44=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@48=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@60=_panvk_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory@104=_panvk_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BindBufferMemory=panvk_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@4=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@8=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@12=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@16=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@20=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@24=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@28=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@32=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@36=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@40=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@44=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@48=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@60=_panvk_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements@104=_panvk_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageMemoryRequirements=panvk_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@4=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@8=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@12=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@16=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@20=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@24=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@28=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@32=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@36=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@40=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@44=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@48=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@60=_panvk_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory@104=_panvk_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BindImageMemory=panvk_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@4=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@8=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@12=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@16=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@20=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@24=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@28=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@32=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@36=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@40=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@44=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@48=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@60=_panvk_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements@104=_panvk_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageSparseMemoryRequirements=panvk_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@4=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@8=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@12=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@16=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@20=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@24=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@28=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@32=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@36=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@40=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@44=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@48=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@60=_panvk_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBindSparse@104=_panvk_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueueBindSparse=panvk_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@4=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@8=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@12=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@16=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@20=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@24=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@28=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@32=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@36=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@40=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@44=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@48=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@60=_panvk_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFence@104=_panvk_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateFence=panvk_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@4=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@8=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@12=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@16=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@20=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@24=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@28=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@32=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@36=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@40=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@44=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@48=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@60=_panvk_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFence@104=_panvk_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyFence=panvk_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@4=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@8=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@12=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@16=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@20=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@24=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@28=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@32=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@36=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@40=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@44=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@48=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@60=_panvk_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetFences@104=_panvk_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ResetFences=panvk_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@4=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@8=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@12=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@16=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@20=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@24=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@28=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@32=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@36=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@40=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@44=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@48=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@60=_panvk_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceStatus@104=_panvk_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetFenceStatus=panvk_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@4=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@8=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@12=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@16=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@20=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@24=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@28=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@32=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@36=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@40=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@44=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@48=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@60=_panvk_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitForFences@104=_panvk_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_WaitForFences=panvk_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@4=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@8=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@12=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@16=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@20=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@24=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@28=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@32=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@36=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@40=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@44=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@48=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@60=_panvk_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSemaphore@104=_panvk_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateSemaphore=panvk_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@4=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@8=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@12=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@16=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@20=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@24=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@28=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@32=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@36=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@40=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@44=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@48=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@60=_panvk_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySemaphore@104=_panvk_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroySemaphore=panvk_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@4=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@8=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@12=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@16=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@20=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@24=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@28=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@32=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@36=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@40=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@44=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@48=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@60=_panvk_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateEvent@104=_panvk_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateEvent=panvk_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@4=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@8=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@12=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@16=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@20=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@24=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@28=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@32=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@36=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@40=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@44=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@48=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@60=_panvk_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyEvent@104=_panvk_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyEvent=panvk_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@4=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@8=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@12=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@16=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@20=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@24=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@28=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@32=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@36=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@40=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@44=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@48=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@60=_panvk_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetEventStatus@104=_panvk_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetEventStatus=panvk_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@4=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@8=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@12=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@16=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@20=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@24=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@28=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@32=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@36=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@40=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@44=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@48=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@60=_panvk_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetEvent@104=_panvk_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_SetEvent=panvk_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@4=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@8=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@12=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@16=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@20=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@24=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@28=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@32=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@36=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@40=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@44=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@48=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@60=_panvk_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetEvent@104=_panvk_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ResetEvent=panvk_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@4=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@8=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@12=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@16=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@20=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@24=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@28=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@32=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@36=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@40=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@44=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@48=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@60=_panvk_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateQueryPool@104=_panvk_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateQueryPool=panvk_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@4=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@8=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@12=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@16=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@20=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@24=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@28=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@32=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@36=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@40=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@44=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@48=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@60=_panvk_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyQueryPool@104=_panvk_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyQueryPool=panvk_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@4=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@8=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@12=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@16=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@20=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@24=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@28=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@32=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@36=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@40=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@44=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@48=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@60=_panvk_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueryPoolResults@104=_panvk_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetQueryPoolResults=panvk_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@4=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@8=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@12=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@16=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@20=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@24=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@28=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@32=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@36=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@40=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@44=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@48=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@60=_panvk_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPool@104=_panvk_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ResetQueryPool=panvk_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@4=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@8=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@12=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@16=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@20=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@24=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@28=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@32=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@36=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@40=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@44=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@48=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@60=_panvk_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetQueryPoolEXT@104=_panvk_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ResetQueryPoolEXT=panvk_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@4=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@8=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@12=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@16=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@20=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@24=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@28=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@32=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@36=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@40=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@44=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@48=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@60=_panvk_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBuffer@104=_panvk_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateBuffer=panvk_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@4=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@8=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@12=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@16=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@20=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@24=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@28=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@32=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@36=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@40=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@44=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@48=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@60=_panvk_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBuffer@104=_panvk_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyBuffer=panvk_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@4=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@8=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@12=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@16=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@20=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@24=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@28=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@32=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@36=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@40=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@44=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@48=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@60=_panvk_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateBufferView@104=_panvk_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateBufferView=panvk_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@4=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@8=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@12=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@16=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@20=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@24=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@28=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@32=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@36=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@40=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@44=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@48=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@60=_panvk_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyBufferView@104=_panvk_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyBufferView=panvk_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@4=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@8=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@12=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@16=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@20=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@24=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@28=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@32=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@36=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@40=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@44=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@48=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@60=_panvk_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImage@104=_panvk_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateImage=panvk_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@4=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@8=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@12=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@16=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@20=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@24=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@28=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@32=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@36=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@40=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@44=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@48=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@60=_panvk_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImage@104=_panvk_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyImage=panvk_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@4=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@8=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@12=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@16=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@20=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@24=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@28=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@32=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@36=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@40=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@44=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@48=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@60=_panvk_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSubresourceLayout@104=_panvk_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageSubresourceLayout=panvk_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@4=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@8=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@12=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@16=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@20=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@24=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@28=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@32=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@36=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@40=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@44=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@48=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@60=_panvk_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateImageView@104=_panvk_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateImageView=panvk_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@4=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@8=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@12=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@16=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@20=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@24=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@28=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@32=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@36=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@40=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@44=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@48=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@60=_panvk_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyImageView@104=_panvk_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyImageView=panvk_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@4=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@8=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@12=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@16=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@20=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@24=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@28=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@32=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@36=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@40=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@44=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@48=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@60=_panvk_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateShaderModule@104=_panvk_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateShaderModule=panvk_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@4=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@8=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@12=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@16=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@20=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@24=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@28=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@32=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@36=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@40=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@44=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@48=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@60=_panvk_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyShaderModule@104=_panvk_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyShaderModule=panvk_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@4=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@8=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@12=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@16=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@20=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@24=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@28=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@32=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@36=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@40=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@44=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@48=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@60=_panvk_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineCache@104=_panvk_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreatePipelineCache=panvk_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@4=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@8=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@12=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@16=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@20=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@24=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@28=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@32=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@36=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@40=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@44=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@48=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@60=_panvk_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineCache@104=_panvk_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyPipelineCache=panvk_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@4=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@8=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@12=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@16=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@20=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@24=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@28=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@32=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@36=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@40=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@44=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@48=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@60=_panvk_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineCacheData@104=_panvk_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPipelineCacheData=panvk_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@4=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@8=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@12=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@16=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@20=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@24=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@28=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@32=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@36=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@40=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@44=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@48=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@60=_panvk_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergePipelineCaches@104=_panvk_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_MergePipelineCaches=panvk_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@4=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@8=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@12=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@16=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@20=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@24=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@28=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@32=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@36=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@40=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@44=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@48=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@60=_panvk_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateGraphicsPipelines@104=_panvk_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateGraphicsPipelines=panvk_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@4=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@8=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@12=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@16=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@20=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@24=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@28=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@32=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@36=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@40=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@44=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@48=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@60=_panvk_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateComputePipelines@104=_panvk_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateComputePipelines=panvk_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@4=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@8=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@12=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@16=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@20=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@24=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@28=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@32=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@36=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@40=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@44=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@48=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@60=_panvk_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipeline@104=_panvk_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyPipeline=panvk_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@4=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@8=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@12=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@16=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@20=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@24=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@28=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@32=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@36=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@40=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@44=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@48=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@60=_panvk_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePipelineLayout@104=_panvk_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreatePipelineLayout=panvk_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@4=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@8=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@12=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@16=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@20=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@24=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@28=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@32=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@36=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@40=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@44=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@48=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@60=_panvk_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPipelineLayout@104=_panvk_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyPipelineLayout=panvk_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@4=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@8=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@12=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@16=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@20=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@24=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@28=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@32=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@36=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@40=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@44=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@48=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@60=_panvk_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSampler@104=_panvk_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateSampler=panvk_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@4=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@8=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@12=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@16=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@20=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@24=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@28=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@32=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@36=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@40=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@44=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@48=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@60=_panvk_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySampler@104=_panvk_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroySampler=panvk_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@4=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@8=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@12=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@16=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@20=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@24=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@28=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@32=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@36=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@40=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@44=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@48=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@60=_panvk_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorSetLayout@104=_panvk_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDescriptorSetLayout=panvk_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@4=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@8=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@12=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@16=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@20=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@24=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@28=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@32=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@36=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@40=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@44=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@48=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@60=_panvk_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorSetLayout@104=_panvk_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyDescriptorSetLayout=panvk_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@4=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@8=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@12=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@16=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@20=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@24=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@28=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@32=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@36=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@40=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@44=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@48=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@60=_panvk_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorPool@104=_panvk_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDescriptorPool=panvk_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@4=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@8=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@12=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@16=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@20=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@24=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@28=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@32=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@36=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@40=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@44=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@48=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@60=_panvk_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorPool@104=_panvk_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyDescriptorPool=panvk_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@4=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@8=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@12=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@16=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@20=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@24=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@28=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@32=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@36=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@40=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@44=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@48=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@60=_panvk_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetDescriptorPool@104=_panvk_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ResetDescriptorPool=panvk_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@4=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@8=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@12=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@16=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@20=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@24=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@28=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@32=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@36=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@40=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@44=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@48=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@60=_panvk_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateDescriptorSets@104=_panvk_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AllocateDescriptorSets=panvk_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@4=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@8=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@12=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@16=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@20=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@24=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@28=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@32=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@36=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@40=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@44=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@48=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@60=_panvk_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeDescriptorSets@104=_panvk_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_FreeDescriptorSets=panvk_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@4=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@8=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@12=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@16=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@20=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@24=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@28=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@32=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@36=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@40=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@44=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@48=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@60=_panvk_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSets@104=_panvk_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_UpdateDescriptorSets=panvk_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@4=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@8=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@12=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@16=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@20=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@24=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@28=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@32=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@36=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@40=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@44=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@48=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@60=_panvk_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateFramebuffer@104=_panvk_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateFramebuffer=panvk_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@4=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@8=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@12=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@16=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@20=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@24=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@28=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@32=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@36=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@40=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@44=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@48=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@60=_panvk_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyFramebuffer@104=_panvk_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyFramebuffer=panvk_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@4=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@8=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@12=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@16=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@20=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@24=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@28=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@32=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@36=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@40=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@44=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@48=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@60=_panvk_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass@104=_panvk_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateRenderPass=panvk_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@4=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@8=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@12=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@16=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@20=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@24=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@28=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@32=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@36=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@40=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@44=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@48=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@60=_panvk_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyRenderPass@104=_panvk_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyRenderPass=panvk_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@4=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@8=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@12=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@16=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@20=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@24=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@28=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@32=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@36=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@40=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@44=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@48=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@60=_panvk_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRenderAreaGranularity@104=_panvk_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetRenderAreaGranularity=panvk_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@4=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@8=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@12=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@16=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@20=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@24=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@28=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@32=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@36=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@40=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@44=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@48=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@60=_panvk_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCommandPool@104=_panvk_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateCommandPool=panvk_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@4=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@8=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@12=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@16=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@20=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@24=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@28=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@32=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@36=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@40=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@44=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@48=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@60=_panvk_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCommandPool@104=_panvk_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyCommandPool=panvk_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@4=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@8=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@12=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@16=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@20=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@24=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@28=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@32=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@36=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@40=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@44=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@48=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@60=_panvk_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandPool@104=_panvk_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ResetCommandPool=panvk_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@4=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@8=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@12=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@16=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@20=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@24=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@28=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@32=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@36=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@40=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@44=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@48=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@60=_panvk_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_AllocateCommandBuffers@104=_panvk_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AllocateCommandBuffers=panvk_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@4=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@8=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@12=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@16=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@20=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@24=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@28=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@32=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@36=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@40=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@44=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@48=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@60=_panvk_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_FreeCommandBuffers@104=_panvk_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_FreeCommandBuffers=panvk_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@4=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@8=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@12=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@16=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@20=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@24=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@28=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@32=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@36=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@40=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@44=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@48=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@60=_panvk_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_BeginCommandBuffer@104=_panvk_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BeginCommandBuffer=panvk_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@4=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@8=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@12=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@16=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@20=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@24=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@28=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@32=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@36=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@40=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@44=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@48=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@60=_panvk_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_EndCommandBuffer@104=_panvk_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_EndCommandBuffer=panvk_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@4=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@8=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@12=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@16=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@20=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@24=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@28=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@32=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@36=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@40=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@44=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@48=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@60=_panvk_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_ResetCommandBuffer@104=_panvk_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ResetCommandBuffer=panvk_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@4=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@8=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@12=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@16=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@20=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@24=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@28=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@32=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@36=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@40=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@44=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@48=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@60=_panvk_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipeline@104=_panvk_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBindPipeline=panvk_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@4=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@8=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@12=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@16=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@20=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@24=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@28=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@32=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@36=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@40=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@44=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@48=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@60=_panvk_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewport@104=_panvk_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetViewport=panvk_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@4=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@8=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@12=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@16=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@20=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@24=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@28=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@32=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@36=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@40=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@44=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@48=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@60=_panvk_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissor@104=_panvk_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetScissor=panvk_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@4=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@8=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@12=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@16=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@20=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@24=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@28=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@32=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@36=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@40=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@44=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@48=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@60=_panvk_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineWidth@104=_panvk_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetLineWidth=panvk_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@4=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@8=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@12=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@16=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@20=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@24=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@28=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@32=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@36=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@40=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@44=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@48=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@60=_panvk_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBias@104=_panvk_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDepthBias=panvk_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@4=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@8=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@12=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@16=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@20=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@24=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@28=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@32=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@36=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@40=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@44=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@48=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@60=_panvk_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetBlendConstants@104=_panvk_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetBlendConstants=panvk_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@4=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@8=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@12=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@16=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@20=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@24=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@28=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@32=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@36=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@40=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@44=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@48=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@60=_panvk_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBounds@104=_panvk_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDepthBounds=panvk_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@4=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@8=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@12=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@16=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@20=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@24=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@28=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@32=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@36=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@40=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@44=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@48=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@60=_panvk_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilCompareMask@104=_panvk_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetStencilCompareMask=panvk_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@4=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@8=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@12=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@16=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@20=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@24=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@28=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@32=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@36=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@40=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@44=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@48=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@60=_panvk_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilWriteMask@104=_panvk_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetStencilWriteMask=panvk_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@4=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@8=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@12=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@16=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@20=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@24=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@28=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@32=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@36=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@40=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@44=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@48=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@60=_panvk_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilReference@104=_panvk_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetStencilReference=panvk_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@4=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@8=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@12=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@16=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@20=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@24=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@28=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@32=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@36=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@40=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@44=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@48=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@60=_panvk_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindDescriptorSets@104=_panvk_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBindDescriptorSets=panvk_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@4=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@8=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@12=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@16=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@20=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@24=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@28=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@32=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@36=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@40=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@44=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@48=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@60=_panvk_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindIndexBuffer@104=_panvk_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBindIndexBuffer=panvk_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@4=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@8=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@12=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@16=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@20=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@24=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@28=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@32=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@36=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@40=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@44=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@48=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@60=_panvk_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers@104=_panvk_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBindVertexBuffers=panvk_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@4=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@8=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@12=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@16=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@20=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@24=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@28=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@32=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@36=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@40=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@44=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@48=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@60=_panvk_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDraw@104=_panvk_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDraw=panvk_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@4=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@8=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@12=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@16=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@20=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@24=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@28=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@32=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@36=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@40=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@44=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@48=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@60=_panvk_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexed@104=_panvk_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndexed=panvk_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@4=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@8=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@12=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@16=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@20=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@24=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@28=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@32=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@36=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@40=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@44=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@48=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@60=_panvk_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiEXT@104=_panvk_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawMultiEXT=panvk_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@4=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@8=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@12=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@16=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@20=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@24=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@28=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@32=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@36=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@40=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@44=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@48=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@60=_panvk_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMultiIndexedEXT@104=_panvk_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawMultiIndexedEXT=panvk_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@4=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@8=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@12=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@16=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@20=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@24=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@28=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@32=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@36=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@40=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@44=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@48=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@60=_panvk_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirect@104=_panvk_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndirect=panvk_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@4=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@8=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@12=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@16=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@20=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@24=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@28=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@32=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@36=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@40=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@44=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@48=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@60=_panvk_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirect@104=_panvk_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndexedIndirect=panvk_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@4=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@8=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@12=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@16=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@20=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@24=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@28=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@32=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@36=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@40=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@44=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@48=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@60=_panvk_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatch@104=_panvk_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDispatch=panvk_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@4=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@8=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@12=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@16=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@20=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@24=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@28=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@32=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@36=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@40=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@44=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@48=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@60=_panvk_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchIndirect@104=_panvk_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDispatchIndirect=panvk_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@4=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@8=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@12=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@16=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@20=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@24=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@28=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@32=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@36=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@40=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@44=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@48=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@60=_panvk_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSubpassShadingHUAWEI@104=_panvk_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSubpassShadingHUAWEI=panvk_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@4=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@8=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@12=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@16=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@20=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@24=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@28=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@32=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@36=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@40=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@44=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@48=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@60=_panvk_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer@104=_panvk_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyBuffer=panvk_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@4=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@8=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@12=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@16=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@20=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@24=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@28=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@32=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@36=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@40=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@44=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@48=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@60=_panvk_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage@104=_panvk_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyImage=panvk_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@4=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@8=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@12=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@16=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@20=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@24=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@28=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@32=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@36=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@40=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@44=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@48=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@60=_panvk_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage@104=_panvk_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBlitImage=panvk_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@4=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@8=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@12=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@16=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@20=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@24=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@28=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@32=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@36=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@40=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@44=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@48=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@60=_panvk_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage@104=_panvk_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyBufferToImage=panvk_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@4=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@8=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@12=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@16=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@20=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@24=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@28=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@32=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@36=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@40=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@44=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@48=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@60=_panvk_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer@104=_panvk_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyImageToBuffer=panvk_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@4=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@8=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@12=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@16=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@20=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@24=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@28=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@32=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@36=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@40=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@44=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@48=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@60=_panvk_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdUpdateBuffer@104=_panvk_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdUpdateBuffer=panvk_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@4=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@8=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@12=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@16=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@20=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@24=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@28=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@32=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@36=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@40=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@44=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@48=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@60=_panvk_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdFillBuffer@104=_panvk_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdFillBuffer=panvk_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@4=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@8=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@12=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@16=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@20=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@24=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@28=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@32=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@36=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@40=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@44=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@48=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@60=_panvk_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearColorImage@104=_panvk_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdClearColorImage=panvk_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@4=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@8=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@12=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@16=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@20=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@24=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@28=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@32=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@36=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@40=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@44=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@48=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@60=_panvk_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearDepthStencilImage@104=_panvk_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdClearDepthStencilImage=panvk_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@4=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@8=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@12=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@16=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@20=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@24=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@28=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@32=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@36=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@40=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@44=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@48=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@60=_panvk_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdClearAttachments@104=_panvk_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdClearAttachments=panvk_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@4=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@8=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@12=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@16=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@20=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@24=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@28=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@32=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@36=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@40=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@44=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@48=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@60=_panvk_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage@104=_panvk_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdResolveImage=panvk_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@4=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@8=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@12=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@16=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@20=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@24=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@28=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@32=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@36=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@40=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@44=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@48=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@60=_panvk_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent@104=_panvk_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetEvent=panvk_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@4=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@8=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@12=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@16=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@20=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@24=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@28=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@32=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@36=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@40=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@44=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@48=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@60=_panvk_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent@104=_panvk_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdResetEvent=panvk_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@4=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@8=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@12=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@16=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@20=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@24=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@28=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@32=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@36=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@40=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@44=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@48=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@60=_panvk_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents@104=_panvk_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdWaitEvents=panvk_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@4=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@8=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@12=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@16=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@20=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@24=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@28=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@32=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@36=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@40=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@44=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@48=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@60=_panvk_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier@104=_panvk_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdPipelineBarrier=panvk_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@4=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@8=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@12=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@16=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@20=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@24=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@28=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@32=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@36=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@40=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@44=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@48=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@60=_panvk_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQuery@104=_panvk_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBeginQuery=panvk_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@4=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@8=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@12=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@16=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@20=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@24=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@28=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@32=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@36=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@40=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@44=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@48=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@60=_panvk_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQuery@104=_panvk_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEndQuery=panvk_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@4=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@8=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@12=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@16=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@20=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@24=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@28=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@32=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@36=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@40=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@44=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@48=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@60=_panvk_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginConditionalRenderingEXT@104=_panvk_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBeginConditionalRenderingEXT=panvk_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@4=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@8=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@12=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@16=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@20=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@24=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@28=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@32=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@36=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@40=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@44=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@48=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@60=_panvk_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndConditionalRenderingEXT@104=_panvk_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEndConditionalRenderingEXT=panvk_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@4=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@8=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@12=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@16=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@20=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@24=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@28=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@32=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@36=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@40=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@44=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@48=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@60=_panvk_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetQueryPool@104=_panvk_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdResetQueryPool=panvk_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@4=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@8=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@12=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@16=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@20=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@24=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@28=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@32=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@36=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@40=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@44=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@48=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@60=_panvk_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp@104=_panvk_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdWriteTimestamp=panvk_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@4=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@8=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@12=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@16=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@20=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@24=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@28=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@32=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@36=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@40=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@44=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@48=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@60=_panvk_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyQueryPoolResults@104=_panvk_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyQueryPoolResults=panvk_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@4=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@8=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@12=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@16=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@20=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@24=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@28=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@32=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@36=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@40=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@44=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@48=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@60=_panvk_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushConstants@104=_panvk_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdPushConstants=panvk_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@4=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@8=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@12=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@16=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@20=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@24=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@28=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@32=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@36=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@40=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@44=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@48=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@60=_panvk_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass@104=_panvk_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBeginRenderPass=panvk_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@4=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@8=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@12=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@16=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@20=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@24=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@28=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@32=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@36=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@40=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@44=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@48=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@60=_panvk_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass@104=_panvk_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdNextSubpass=panvk_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@4=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@8=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@12=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@16=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@20=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@24=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@28=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@32=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@36=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@40=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@44=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@48=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@60=_panvk_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass@104=_panvk_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEndRenderPass=panvk_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@4=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@8=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@12=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@16=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@20=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@24=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@28=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@32=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@36=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@40=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@44=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@48=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@60=_panvk_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteCommands@104=_panvk_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdExecuteCommands=panvk_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@4=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@8=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@12=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@16=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@20=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@24=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@28=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@32=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@36=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@40=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@44=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@48=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@60=_panvk_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSharedSwapchainsKHR@104=_panvk_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateSharedSwapchainsKHR=panvk_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@4=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@8=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@12=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@16=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@20=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@24=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@28=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@32=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@36=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@40=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@44=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@48=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@60=_panvk_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSwapchainKHR@104=_panvk_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateSwapchainKHR=panvk_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@4=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@8=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@12=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@16=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@20=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@24=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@28=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@32=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@36=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@40=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@44=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@48=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@60=_panvk_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySwapchainKHR@104=_panvk_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroySwapchainKHR=panvk_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@4=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@8=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@12=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@16=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@20=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@24=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@28=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@32=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@36=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@40=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@44=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@48=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@60=_panvk_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainImagesKHR@104=_panvk_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSwapchainImagesKHR=panvk_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@4=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@8=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@12=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@16=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@20=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@24=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@28=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@32=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@36=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@40=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@44=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@48=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@60=_panvk_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImageKHR@104=_panvk_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AcquireNextImageKHR=panvk_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@4=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@8=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@12=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@16=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@20=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@24=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@28=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@32=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@36=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@40=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@44=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@48=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@60=_panvk_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueuePresentKHR@104=_panvk_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueuePresentKHR=panvk_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@4=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@8=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@12=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@16=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@20=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@24=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@28=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@32=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@36=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@40=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@44=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@48=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@60=_panvk_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectNameEXT@104=_panvk_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DebugMarkerSetObjectNameEXT=panvk_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@4=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@8=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@12=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@16=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@20=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@24=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@28=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@32=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@36=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@40=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@44=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@48=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@60=_panvk_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DebugMarkerSetObjectTagEXT@104=_panvk_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DebugMarkerSetObjectTagEXT=panvk_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@4=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@8=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@12=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@16=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@20=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@24=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@28=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@32=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@36=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@40=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@44=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@48=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@60=_panvk_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerBeginEXT@104=_panvk_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDebugMarkerBeginEXT=panvk_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@4=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@8=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@12=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@16=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@20=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@24=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@28=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@32=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@36=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@40=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@44=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@48=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@60=_panvk_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerEndEXT@104=_panvk_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDebugMarkerEndEXT=panvk_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@4=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@8=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@12=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@16=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@20=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@24=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@28=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@32=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@36=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@40=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@44=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@48=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@60=_panvk_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDebugMarkerInsertEXT@104=_panvk_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDebugMarkerInsertEXT=panvk_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@4=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@8=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@12=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@16=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@20=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@24=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@28=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@32=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@36=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@40=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@44=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@48=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@60=_panvk_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleNV@104=_panvk_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetMemoryWin32HandleNV=panvk_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    void (*panvk_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@4=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@8=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@12=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@16=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@20=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@24=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@28=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@32=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@36=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@40=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@44=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@48=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@60=_panvk_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdExecuteGeneratedCommandsNV@104=_panvk_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdExecuteGeneratedCommandsNV=panvk_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@4=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@8=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@12=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@16=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@20=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@24=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@28=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@32=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@36=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@40=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@44=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@48=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@60=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPreprocessGeneratedCommandsNV@104=_panvk_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdPreprocessGeneratedCommandsNV=panvk_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@4=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@8=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@12=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@16=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@20=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@24=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@28=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@32=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@36=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@40=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@44=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@48=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@60=_panvk_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindPipelineShaderGroupNV@104=_panvk_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBindPipelineShaderGroupNV=panvk_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@4=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@8=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@12=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@16=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@20=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@24=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@28=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@32=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@36=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@40=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@44=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@48=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@60=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetGeneratedCommandsMemoryRequirementsNV@104=_panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetGeneratedCommandsMemoryRequirementsNV=panvk_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@4=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@8=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@12=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@16=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@20=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@24=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@28=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@32=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@36=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@40=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@44=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@48=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@60=_panvk_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateIndirectCommandsLayoutNV@104=_panvk_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateIndirectCommandsLayoutNV=panvk_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@4=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@8=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@12=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@16=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@20=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@24=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@28=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@32=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@36=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@40=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@44=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@48=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@60=_panvk_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyIndirectCommandsLayoutNV@104=_panvk_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyIndirectCommandsLayoutNV=panvk_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@4=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@8=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@12=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@16=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@20=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@24=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@28=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@32=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@36=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@40=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@44=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@48=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@60=_panvk_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetKHR@104=_panvk_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdPushDescriptorSetKHR=panvk_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@4=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@8=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@12=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@16=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@20=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@24=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@28=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@32=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@36=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@40=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@44=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@48=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@60=_panvk_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPool@104=_panvk_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_TrimCommandPool=panvk_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@4=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@8=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@12=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@16=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@20=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@24=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@28=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@32=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@36=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@40=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@44=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@48=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@60=_panvk_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_TrimCommandPoolKHR@104=_panvk_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_TrimCommandPoolKHR=panvk_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@4=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@8=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@12=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@16=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@20=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@24=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@28=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@32=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@36=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@40=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@44=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@48=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@60=_panvk_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandleKHR@104=_panvk_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetMemoryWin32HandleKHR=panvk_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@4=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@8=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@12=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@16=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@20=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@24=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@28=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@32=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@36=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@40=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@44=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@48=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@60=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryWin32HandlePropertiesKHR@104=_panvk_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetMemoryWin32HandlePropertiesKHR=panvk_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@4=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@8=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@12=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@16=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@20=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@24=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@28=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@32=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@36=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@40=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@44=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@48=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@60=_panvk_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdKHR@104=_panvk_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetMemoryFdKHR=panvk_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@4=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@8=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@12=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@16=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@20=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@24=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@28=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@32=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@36=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@40=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@44=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@48=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@60=_panvk_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryFdPropertiesKHR@104=_panvk_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetMemoryFdPropertiesKHR=panvk_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*panvk_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@4=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@8=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@12=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@16=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@20=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@24=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@28=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@32=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@36=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@40=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@44=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@48=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@60=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandleFUCHSIA@104=_panvk_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetMemoryZirconHandleFUCHSIA=panvk_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@4=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@8=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@12=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@16=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@20=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@24=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@28=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@32=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@36=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@40=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@44=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@48=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@60=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryZirconHandlePropertiesFUCHSIA@104=_panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetMemoryZirconHandlePropertiesFUCHSIA=panvk_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@4=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@8=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@12=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@16=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@20=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@24=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@28=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@32=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@36=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@40=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@44=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@48=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@60=_panvk_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreWin32HandleKHR@104=_panvk_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSemaphoreWin32HandleKHR=panvk_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@4=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@8=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@12=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@16=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@20=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@24=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@28=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@32=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@36=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@40=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@44=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@48=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@60=_panvk_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreWin32HandleKHR@104=_panvk_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ImportSemaphoreWin32HandleKHR=panvk_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@4=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@8=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@12=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@16=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@20=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@24=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@28=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@32=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@36=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@40=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@44=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@48=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@60=_panvk_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreFdKHR@104=_panvk_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSemaphoreFdKHR=panvk_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@4=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@8=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@12=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@16=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@20=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@24=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@28=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@32=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@36=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@40=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@44=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@48=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@60=_panvk_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreFdKHR@104=_panvk_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ImportSemaphoreFdKHR=panvk_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*panvk_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@4=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@8=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@12=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@16=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@20=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@24=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@28=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@32=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@36=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@40=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@44=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@48=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@60=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreZirconHandleFUCHSIA@104=_panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSemaphoreZirconHandleFUCHSIA=panvk_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*panvk_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@4=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@8=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@12=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@16=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@20=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@24=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@28=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@32=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@36=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@40=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@44=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@48=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@60=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportSemaphoreZirconHandleFUCHSIA@104=_panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ImportSemaphoreZirconHandleFUCHSIA=panvk_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@4=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@8=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@12=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@16=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@20=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@24=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@28=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@32=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@36=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@40=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@44=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@48=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@60=_panvk_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceWin32HandleKHR@104=_panvk_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetFenceWin32HandleKHR=panvk_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@4=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@8=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@12=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@16=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@20=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@24=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@28=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@32=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@36=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@40=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@44=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@48=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@60=_panvk_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceWin32HandleKHR@104=_panvk_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ImportFenceWin32HandleKHR=panvk_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@4=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@8=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@12=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@16=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@20=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@24=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@28=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@32=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@36=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@40=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@44=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@48=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@60=_panvk_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetFenceFdKHR@104=_panvk_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetFenceFdKHR=panvk_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@4=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@8=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@12=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@16=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@20=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@24=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@28=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@32=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@36=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@40=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@44=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@48=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@60=_panvk_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ImportFenceFdKHR@104=_panvk_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ImportFenceFdKHR=panvk_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@4=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@8=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@12=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@16=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@20=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@24=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@28=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@32=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@36=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@40=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@44=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@48=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@60=_panvk_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DisplayPowerControlEXT@104=_panvk_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DisplayPowerControlEXT=panvk_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@4=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@8=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@12=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@16=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@20=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@24=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@28=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@32=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@36=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@40=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@44=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@48=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@60=_panvk_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDeviceEventEXT@104=_panvk_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_RegisterDeviceEventEXT=panvk_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@4=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@8=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@12=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@16=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@20=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@24=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@28=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@32=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@36=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@40=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@44=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@48=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@60=_panvk_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_RegisterDisplayEventEXT@104=_panvk_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_RegisterDisplayEventEXT=panvk_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@4=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@8=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@12=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@16=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@20=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@24=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@28=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@32=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@36=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@40=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@44=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@48=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@60=_panvk_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainCounterEXT@104=_panvk_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSwapchainCounterEXT=panvk_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@4=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@8=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@12=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@16=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@20=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@24=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@28=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@32=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@36=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@40=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@44=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@48=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@60=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeatures@104=_panvk_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceGroupPeerMemoryFeatures=panvk_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@4=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@8=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@12=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@16=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@20=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@24=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@28=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@32=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@36=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@40=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@44=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@48=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@60=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPeerMemoryFeaturesKHR@104=_panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceGroupPeerMemoryFeaturesKHR=panvk_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@4=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@8=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@12=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@16=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@20=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@24=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@28=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@32=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@36=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@40=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@44=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@48=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@60=_panvk_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2@104=_panvk_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BindBufferMemory2=panvk_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@4=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@8=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@12=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@16=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@20=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@24=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@28=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@32=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@36=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@40=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@44=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@48=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@60=_panvk_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindBufferMemory2KHR@104=_panvk_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BindBufferMemory2KHR=panvk_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@4=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@8=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@12=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@16=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@20=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@24=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@28=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@32=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@36=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@40=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@44=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@48=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@60=_panvk_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2@104=_panvk_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BindImageMemory2=panvk_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@4=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@8=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@12=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@16=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@20=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@24=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@28=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@32=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@36=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@40=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@44=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@48=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@60=_panvk_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindImageMemory2KHR@104=_panvk_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BindImageMemory2KHR=panvk_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@4=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@8=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@12=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@16=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@20=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@24=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@28=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@32=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@36=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@40=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@44=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@48=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@60=_panvk_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMask@104=_panvk_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDeviceMask=panvk_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@4=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@8=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@12=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@16=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@20=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@24=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@28=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@32=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@36=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@40=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@44=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@48=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@60=_panvk_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDeviceMaskKHR@104=_panvk_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDeviceMaskKHR=panvk_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@4=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@8=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@12=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@16=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@20=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@24=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@28=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@32=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@36=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@40=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@44=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@48=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@60=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupPresentCapabilitiesKHR@104=_panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceGroupPresentCapabilitiesKHR=panvk_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@4=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@8=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@12=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@16=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@20=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@24=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@28=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@32=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@36=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@40=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@44=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@48=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@60=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModesKHR@104=_panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceGroupSurfacePresentModesKHR=panvk_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@4=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@8=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@12=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@16=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@20=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@24=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@28=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@32=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@36=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@40=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@44=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@48=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@60=_panvk_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireNextImage2KHR@104=_panvk_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AcquireNextImage2KHR=panvk_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@4=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@8=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@12=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@16=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@20=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@24=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@28=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@32=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@36=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@40=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@44=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@48=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@60=_panvk_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBase@104=_panvk_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDispatchBase=panvk_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@4=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@8=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@12=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@16=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@20=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@24=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@28=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@32=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@36=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@40=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@44=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@48=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@60=_panvk_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDispatchBaseKHR@104=_panvk_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDispatchBaseKHR=panvk_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@4=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@8=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@12=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@16=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@20=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@24=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@28=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@32=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@36=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@40=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@44=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@48=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@60=_panvk_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplate@104=_panvk_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDescriptorUpdateTemplate=panvk_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@4=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@8=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@12=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@16=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@20=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@24=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@28=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@32=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@36=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@40=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@44=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@48=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@60=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDescriptorUpdateTemplateKHR@104=_panvk_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDescriptorUpdateTemplateKHR=panvk_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@4=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@8=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@12=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@16=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@20=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@24=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@28=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@32=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@36=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@40=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@44=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@48=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@60=_panvk_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplate@104=_panvk_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyDescriptorUpdateTemplate=panvk_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@4=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@8=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@12=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@16=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@20=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@24=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@28=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@32=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@36=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@40=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@44=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@48=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@60=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDescriptorUpdateTemplateKHR@104=_panvk_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyDescriptorUpdateTemplateKHR=panvk_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@4=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@8=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@12=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@16=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@20=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@24=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@28=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@32=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@36=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@40=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@44=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@48=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@60=_panvk_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplate@104=_panvk_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_UpdateDescriptorSetWithTemplate=panvk_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@4=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@8=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@12=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@16=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@20=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@24=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@28=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@32=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@36=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@40=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@44=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@48=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@60=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateDescriptorSetWithTemplateKHR@104=_panvk_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_UpdateDescriptorSetWithTemplateKHR=panvk_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@4=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@8=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@12=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@16=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@20=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@24=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@28=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@32=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@36=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@40=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@44=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@48=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@60=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPushDescriptorSetWithTemplateKHR@104=_panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdPushDescriptorSetWithTemplateKHR=panvk_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@4=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@8=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@12=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@16=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@20=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@24=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@28=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@32=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@36=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@40=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@44=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@48=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@60=_panvk_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetHdrMetadataEXT@104=_panvk_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_SetHdrMetadataEXT=panvk_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@4=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@8=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@12=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@16=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@20=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@24=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@28=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@32=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@36=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@40=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@44=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@48=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@60=_panvk_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainStatusKHR@104=_panvk_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSwapchainStatusKHR=panvk_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@4=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@8=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@12=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@16=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@20=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@24=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@28=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@32=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@36=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@40=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@44=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@48=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@60=_panvk_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRefreshCycleDurationGOOGLE@104=_panvk_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetRefreshCycleDurationGOOGLE=panvk_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@4=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@8=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@12=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@16=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@20=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@24=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@28=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@32=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@36=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@40=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@44=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@48=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@60=_panvk_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPastPresentationTimingGOOGLE@104=_panvk_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPastPresentationTimingGOOGLE=panvk_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@4=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@8=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@12=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@16=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@20=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@24=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@28=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@32=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@36=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@40=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@44=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@48=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@60=_panvk_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWScalingNV@104=_panvk_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetViewportWScalingNV=panvk_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@4=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@8=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@12=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@16=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@20=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@24=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@28=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@32=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@36=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@40=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@44=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@48=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@60=_panvk_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDiscardRectangleEXT@104=_panvk_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDiscardRectangleEXT=panvk_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@4=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@8=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@12=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@16=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@20=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@24=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@28=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@32=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@36=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@40=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@44=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@48=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@60=_panvk_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetSampleLocationsEXT@104=_panvk_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetSampleLocationsEXT=panvk_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@4=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@8=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@12=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@16=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@20=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@24=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@28=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@32=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@36=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@40=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@44=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@48=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@60=_panvk_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2@104=_panvk_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetBufferMemoryRequirements2=panvk_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@4=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@8=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@12=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@16=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@20=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@24=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@28=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@32=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@36=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@40=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@44=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@48=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@60=_panvk_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferMemoryRequirements2KHR@104=_panvk_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetBufferMemoryRequirements2KHR=panvk_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@4=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@8=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@12=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@16=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@20=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@24=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@28=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@32=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@36=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@40=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@44=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@48=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@60=_panvk_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2@104=_panvk_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageMemoryRequirements2=panvk_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@4=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@8=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@12=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@16=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@20=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@24=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@28=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@32=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@36=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@40=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@44=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@48=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@60=_panvk_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageMemoryRequirements2KHR@104=_panvk_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageMemoryRequirements2KHR=panvk_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@4=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@8=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@12=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@16=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@20=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@24=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@28=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@32=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@36=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@40=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@44=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@48=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@60=_panvk_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2@104=_panvk_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageSparseMemoryRequirements2=panvk_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@4=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@8=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@12=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@16=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@20=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@24=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@28=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@32=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@36=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@40=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@44=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@48=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@60=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageSparseMemoryRequirements2KHR@104=_panvk_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageSparseMemoryRequirements2KHR=panvk_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@4=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@8=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@12=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@16=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@20=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@24=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@28=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@32=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@36=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@40=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@44=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@48=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@60=_panvk_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversion@104=_panvk_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateSamplerYcbcrConversion=panvk_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@4=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@8=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@12=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@16=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@20=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@24=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@28=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@32=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@36=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@40=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@44=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@48=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@60=_panvk_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateSamplerYcbcrConversionKHR@104=_panvk_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateSamplerYcbcrConversionKHR=panvk_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@4=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@8=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@12=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@16=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@20=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@24=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@28=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@32=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@36=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@40=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@44=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@48=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@60=_panvk_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversion@104=_panvk_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroySamplerYcbcrConversion=panvk_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@4=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@8=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@12=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@16=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@20=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@24=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@28=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@32=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@36=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@40=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@44=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@48=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@60=_panvk_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroySamplerYcbcrConversionKHR@104=_panvk_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroySamplerYcbcrConversionKHR=panvk_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@4=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@8=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@12=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@16=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@20=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@24=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@28=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@32=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@36=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@40=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@44=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@48=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@60=_panvk_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceQueue2@104=_panvk_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceQueue2=panvk_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@4=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@8=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@12=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@16=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@20=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@24=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@28=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@32=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@36=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@40=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@44=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@48=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@60=_panvk_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateValidationCacheEXT@104=_panvk_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateValidationCacheEXT=panvk_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@4=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@8=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@12=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@16=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@20=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@24=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@28=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@32=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@36=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@40=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@44=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@48=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@60=_panvk_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyValidationCacheEXT@104=_panvk_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyValidationCacheEXT=panvk_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@4=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@8=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@12=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@16=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@20=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@24=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@28=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@32=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@36=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@40=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@44=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@48=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@60=_panvk_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetValidationCacheDataEXT@104=_panvk_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetValidationCacheDataEXT=panvk_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@4=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@8=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@12=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@16=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@20=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@24=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@28=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@32=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@36=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@40=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@44=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@48=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@60=_panvk_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_MergeValidationCachesEXT@104=_panvk_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_MergeValidationCachesEXT=panvk_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@4=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@8=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@12=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@16=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@20=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@24=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@28=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@32=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@36=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@40=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@44=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@48=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@60=_panvk_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupport@104=_panvk_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDescriptorSetLayoutSupport=panvk_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@4=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@8=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@12=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@16=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@20=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@24=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@28=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@32=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@36=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@40=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@44=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@48=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@60=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDescriptorSetLayoutSupportKHR@104=_panvk_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDescriptorSetLayoutSupportKHR=panvk_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@4=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@8=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@12=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@16=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@20=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@24=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@28=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@32=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@36=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@40=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@44=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@48=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@60=_panvk_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsageANDROID@104=_panvk_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSwapchainGrallocUsageANDROID=panvk_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@4=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@8=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@12=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@16=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@20=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@24=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@28=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@32=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@36=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@40=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@44=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@48=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@60=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSwapchainGrallocUsage2ANDROID@104=_panvk_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSwapchainGrallocUsage2ANDROID=panvk_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*panvk_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@4=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@8=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@12=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@16=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@20=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@24=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@28=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@32=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@36=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@40=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@44=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@48=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@60=_panvk_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireImageANDROID@104=_panvk_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AcquireImageANDROID=panvk_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*panvk_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@4=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@8=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@12=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@16=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@20=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@24=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@28=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@32=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@36=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@40=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@44=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@48=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@60=_panvk_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSignalReleaseImageANDROID@104=_panvk_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueueSignalReleaseImageANDROID=panvk_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@4=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@8=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@12=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@16=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@20=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@24=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@28=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@32=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@36=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@40=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@44=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@48=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@60=_panvk_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetShaderInfoAMD@104=_panvk_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetShaderInfoAMD=panvk_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@4=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@8=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@12=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@16=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@20=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@24=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@28=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@32=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@36=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@40=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@44=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@48=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@60=_panvk_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetLocalDimmingAMD@104=_panvk_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_SetLocalDimmingAMD=panvk_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@4=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@8=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@12=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@16=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@20=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@24=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@28=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@32=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@36=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@40=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@44=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@48=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@60=_panvk_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetCalibratedTimestampsEXT@104=_panvk_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetCalibratedTimestampsEXT=panvk_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@4=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@8=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@12=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@16=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@20=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@24=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@28=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@32=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@36=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@40=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@44=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@48=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@60=_panvk_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectNameEXT@104=_panvk_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_SetDebugUtilsObjectNameEXT=panvk_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@4=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@8=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@12=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@16=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@20=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@24=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@28=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@32=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@36=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@40=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@44=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@48=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@60=_panvk_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetDebugUtilsObjectTagEXT@104=_panvk_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_SetDebugUtilsObjectTagEXT=panvk_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@4=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@8=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@12=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@16=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@20=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@24=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@28=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@32=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@36=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@40=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@44=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@48=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@60=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueBeginDebugUtilsLabelEXT@104=_panvk_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueueBeginDebugUtilsLabelEXT=panvk_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@4=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@8=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@12=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@16=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@20=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@24=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@28=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@32=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@36=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@40=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@44=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@48=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@60=_panvk_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueEndDebugUtilsLabelEXT@104=_panvk_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueueEndDebugUtilsLabelEXT=panvk_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@4=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@8=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@12=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@16=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@20=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@24=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@28=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@32=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@36=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@40=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@44=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@48=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@60=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueInsertDebugUtilsLabelEXT@104=_panvk_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueueInsertDebugUtilsLabelEXT=panvk_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@4=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@8=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@12=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@16=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@20=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@24=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@28=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@32=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@36=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@40=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@44=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@48=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@60=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginDebugUtilsLabelEXT@104=_panvk_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBeginDebugUtilsLabelEXT=panvk_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@4=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@8=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@12=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@16=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@20=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@24=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@28=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@32=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@36=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@40=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@44=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@48=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@60=_panvk_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndDebugUtilsLabelEXT@104=_panvk_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEndDebugUtilsLabelEXT=panvk_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@4=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@8=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@12=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@16=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@20=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@24=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@28=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@32=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@36=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@40=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@44=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@48=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@60=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdInsertDebugUtilsLabelEXT@104=_panvk_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdInsertDebugUtilsLabelEXT=panvk_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@4=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@8=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@12=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@16=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@20=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@24=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@28=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@32=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@36=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@40=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@44=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@48=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@60=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryHostPointerPropertiesEXT@104=_panvk_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetMemoryHostPointerPropertiesEXT=panvk_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@4=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@8=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@12=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@16=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@20=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@24=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@28=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@32=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@36=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@40=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@44=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@48=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@60=_panvk_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarkerAMD@104=_panvk_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdWriteBufferMarkerAMD=panvk_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@4=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@8=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@12=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@16=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@20=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@24=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@28=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@32=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@36=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@40=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@44=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@48=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@60=_panvk_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2@104=_panvk_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateRenderPass2=panvk_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@4=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@8=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@12=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@16=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@20=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@24=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@28=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@32=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@36=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@40=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@44=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@48=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@60=_panvk_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRenderPass2KHR@104=_panvk_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateRenderPass2KHR=panvk_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@4=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@8=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@12=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@16=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@20=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@24=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@28=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@32=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@36=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@40=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@44=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@48=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@60=_panvk_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2@104=_panvk_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBeginRenderPass2=panvk_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@4=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@8=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@12=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@16=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@20=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@24=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@28=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@32=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@36=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@40=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@44=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@48=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@60=_panvk_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginRenderPass2KHR@104=_panvk_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBeginRenderPass2KHR=panvk_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@4=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@8=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@12=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@16=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@20=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@24=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@28=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@32=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@36=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@40=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@44=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@48=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@60=_panvk_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2@104=_panvk_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdNextSubpass2=panvk_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@4=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@8=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@12=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@16=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@20=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@24=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@28=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@32=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@36=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@40=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@44=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@48=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@60=_panvk_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdNextSubpass2KHR@104=_panvk_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdNextSubpass2KHR=panvk_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@4=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@8=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@12=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@16=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@20=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@24=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@28=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@32=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@36=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@40=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@44=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@48=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@60=_panvk_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2@104=_panvk_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEndRenderPass2=panvk_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@4=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@8=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@12=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@16=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@20=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@24=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@28=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@32=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@36=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@40=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@44=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@48=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@60=_panvk_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndRenderPass2KHR@104=_panvk_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEndRenderPass2KHR=panvk_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@4=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@8=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@12=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@16=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@20=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@24=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@28=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@32=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@36=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@40=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@44=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@48=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@60=_panvk_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValue@104=_panvk_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSemaphoreCounterValue=panvk_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@4=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@8=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@12=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@16=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@20=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@24=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@28=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@32=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@36=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@40=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@44=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@48=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@60=_panvk_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetSemaphoreCounterValueKHR@104=_panvk_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetSemaphoreCounterValueKHR=panvk_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@4=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@8=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@12=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@16=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@20=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@24=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@28=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@32=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@36=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@40=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@44=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@48=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@60=_panvk_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphores@104=_panvk_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_WaitSemaphores=panvk_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@4=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@8=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@12=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@16=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@20=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@24=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@28=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@32=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@36=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@40=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@44=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@48=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@60=_panvk_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WaitSemaphoresKHR@104=_panvk_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_WaitSemaphoresKHR=panvk_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@4=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@8=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@12=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@16=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@20=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@24=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@28=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@32=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@36=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@40=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@44=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@48=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@60=_panvk_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphore@104=_panvk_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_SignalSemaphore=panvk_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@4=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@8=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@12=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@16=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@20=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@24=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@28=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@32=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@36=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@40=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@44=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@48=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@60=_panvk_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_SignalSemaphoreKHR@104=_panvk_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_SignalSemaphoreKHR=panvk_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@4=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@8=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@12=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@16=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@20=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@24=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@28=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@32=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@36=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@40=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@44=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@48=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@60=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAndroidHardwareBufferPropertiesANDROID@104=_panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetAndroidHardwareBufferPropertiesANDROID=panvk_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@4=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@8=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@12=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@16=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@20=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@24=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@28=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@32=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@36=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@40=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@44=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@48=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@60=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetMemoryAndroidHardwareBufferANDROID@104=_panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetMemoryAndroidHardwareBufferANDROID=panvk_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@4=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@8=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@12=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@16=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@20=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@24=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@28=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@32=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@36=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@40=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@44=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@48=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@60=_panvk_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCount@104=_panvk_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndirectCount=panvk_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@4=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@8=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@12=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@16=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@20=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@24=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@28=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@32=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@36=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@40=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@44=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@48=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@60=_panvk_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountKHR@104=_panvk_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndirectCountKHR=panvk_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@4=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@8=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@12=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@16=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@20=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@24=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@28=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@32=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@36=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@40=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@44=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@48=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@60=_panvk_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectCountAMD@104=_panvk_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndirectCountAMD=panvk_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@4=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@8=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@12=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@16=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@20=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@24=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@28=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@32=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@36=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@40=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@44=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@48=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@60=_panvk_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCount@104=_panvk_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndexedIndirectCount=panvk_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@4=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@8=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@12=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@16=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@20=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@24=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@28=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@32=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@36=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@40=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@44=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@48=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@60=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountKHR@104=_panvk_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndexedIndirectCountKHR=panvk_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@4=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@8=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@12=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@16=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@20=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@24=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@28=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@32=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@36=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@40=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@44=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@48=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@60=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndexedIndirectCountAMD@104=_panvk_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndexedIndirectCountAMD=panvk_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@4=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@8=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@12=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@16=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@20=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@24=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@28=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@32=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@36=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@40=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@44=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@48=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@60=_panvk_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCheckpointNV@104=_panvk_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetCheckpointNV=panvk_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@4=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@8=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@12=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@16=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@20=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@24=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@28=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@32=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@36=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@40=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@44=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@48=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@60=_panvk_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointDataNV@104=_panvk_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetQueueCheckpointDataNV=panvk_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@4=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@8=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@12=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@16=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@20=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@24=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@28=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@32=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@36=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@40=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@44=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@48=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@60=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindTransformFeedbackBuffersEXT@104=_panvk_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBindTransformFeedbackBuffersEXT=panvk_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@4=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@8=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@12=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@16=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@20=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@24=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@28=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@32=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@36=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@40=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@44=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@48=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@60=_panvk_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginTransformFeedbackEXT@104=_panvk_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBeginTransformFeedbackEXT=panvk_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@4=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@8=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@12=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@16=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@20=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@24=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@28=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@32=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@36=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@40=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@44=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@48=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@60=_panvk_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndTransformFeedbackEXT@104=_panvk_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEndTransformFeedbackEXT=panvk_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@4=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@8=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@12=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@16=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@20=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@24=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@28=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@32=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@36=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@40=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@44=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@48=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@60=_panvk_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginQueryIndexedEXT@104=_panvk_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBeginQueryIndexedEXT=panvk_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@4=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@8=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@12=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@16=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@20=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@24=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@28=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@32=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@36=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@40=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@44=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@48=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@60=_panvk_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndQueryIndexedEXT@104=_panvk_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEndQueryIndexedEXT=panvk_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@4=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@8=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@12=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@16=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@20=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@24=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@28=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@32=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@36=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@40=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@44=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@48=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@60=_panvk_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawIndirectByteCountEXT@104=_panvk_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawIndirectByteCountEXT=panvk_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@4=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@8=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@12=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@16=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@20=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@24=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@28=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@32=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@36=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@40=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@44=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@48=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@60=_panvk_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetExclusiveScissorNV@104=_panvk_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetExclusiveScissorNV=panvk_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@4=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@8=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@12=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@16=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@20=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@24=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@28=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@32=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@36=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@40=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@44=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@48=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@60=_panvk_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindShadingRateImageNV@104=_panvk_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBindShadingRateImageNV=panvk_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@4=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@8=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@12=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@16=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@20=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@24=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@28=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@32=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@36=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@40=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@44=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@48=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@60=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportShadingRatePaletteNV@104=_panvk_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetViewportShadingRatePaletteNV=panvk_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@4=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@8=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@12=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@16=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@20=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@24=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@28=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@32=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@36=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@40=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@44=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@48=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@60=_panvk_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCoarseSampleOrderNV@104=_panvk_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetCoarseSampleOrderNV=panvk_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@4=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@8=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@12=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@16=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@20=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@24=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@28=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@32=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@36=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@40=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@44=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@48=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@60=_panvk_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksNV@104=_panvk_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawMeshTasksNV=panvk_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@4=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@8=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@12=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@16=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@20=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@24=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@28=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@32=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@36=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@40=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@44=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@48=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@60=_panvk_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectNV@104=_panvk_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawMeshTasksIndirectNV=panvk_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@4=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@8=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@12=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@16=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@20=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@24=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@28=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@32=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@36=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@40=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@44=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@48=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@60=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDrawMeshTasksIndirectCountNV@104=_panvk_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDrawMeshTasksIndirectCountNV=panvk_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@4=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@8=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@12=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@16=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@20=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@24=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@28=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@32=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@36=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@40=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@44=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@48=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@60=_panvk_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CompileDeferredNV@104=_panvk_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CompileDeferredNV=panvk_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@4=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@8=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@12=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@16=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@20=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@24=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@28=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@32=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@36=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@40=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@44=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@48=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@60=_panvk_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureNV@104=_panvk_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateAccelerationStructureNV=panvk_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@4=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@8=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@12=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@16=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@20=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@24=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@28=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@32=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@36=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@40=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@44=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@48=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@60=_panvk_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureKHR@104=_panvk_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyAccelerationStructureKHR=panvk_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@4=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@8=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@12=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@16=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@20=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@24=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@28=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@32=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@36=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@40=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@44=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@48=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@60=_panvk_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyAccelerationStructureNV@104=_panvk_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyAccelerationStructureNV=panvk_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@4=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@8=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@12=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@16=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@20=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@24=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@28=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@32=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@36=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@40=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@44=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@48=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@60=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureMemoryRequirementsNV@104=_panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetAccelerationStructureMemoryRequirementsNV=panvk_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@4=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@8=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@12=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@16=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@20=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@24=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@28=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@32=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@36=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@40=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@44=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@48=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@60=_panvk_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindAccelerationStructureMemoryNV@104=_panvk_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BindAccelerationStructureMemoryNV=panvk_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@4=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@8=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@12=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@16=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@20=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@24=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@28=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@32=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@36=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@40=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@44=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@48=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@60=_panvk_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureNV@104=_panvk_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyAccelerationStructureNV=panvk_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@4=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@8=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@12=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@16=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@20=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@24=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@28=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@32=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@36=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@40=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@44=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@48=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@60=_panvk_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureKHR@104=_panvk_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyAccelerationStructureKHR=panvk_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@4=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@8=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@12=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@16=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@20=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@24=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@28=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@32=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@36=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@40=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@44=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@48=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@60=_panvk_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureKHR@104=_panvk_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CopyAccelerationStructureKHR=panvk_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@4=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@8=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@12=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@16=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@20=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@24=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@28=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@32=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@36=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@40=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@44=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@48=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@60=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyAccelerationStructureToMemoryKHR@104=_panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyAccelerationStructureToMemoryKHR=panvk_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@4=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@8=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@12=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@16=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@20=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@24=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@28=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@32=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@36=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@40=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@44=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@48=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@60=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyAccelerationStructureToMemoryKHR@104=_panvk_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CopyAccelerationStructureToMemoryKHR=panvk_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@4=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@8=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@12=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@16=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@20=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@24=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@28=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@32=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@36=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@40=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@44=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@48=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@60=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyMemoryToAccelerationStructureKHR@104=_panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyMemoryToAccelerationStructureKHR=panvk_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@4=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@8=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@12=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@16=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@20=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@24=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@28=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@32=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@36=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@40=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@44=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@48=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@60=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CopyMemoryToAccelerationStructureKHR@104=_panvk_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CopyMemoryToAccelerationStructureKHR=panvk_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@4=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@8=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@12=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@16=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@20=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@24=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@28=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@32=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@36=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@40=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@44=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@48=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@60=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesKHR@104=_panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdWriteAccelerationStructuresPropertiesKHR=panvk_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@4=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@8=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@12=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@16=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@20=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@24=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@28=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@32=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@36=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@40=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@44=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@48=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@60=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteAccelerationStructuresPropertiesNV@104=_panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdWriteAccelerationStructuresPropertiesNV=panvk_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@4=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@8=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@12=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@16=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@20=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@24=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@28=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@32=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@36=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@40=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@44=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@48=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@60=_panvk_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructureNV@104=_panvk_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBuildAccelerationStructureNV=panvk_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@4=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@8=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@12=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@16=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@20=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@24=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@28=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@32=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@36=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@40=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@44=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@48=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@60=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_WriteAccelerationStructuresPropertiesKHR@104=_panvk_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_WriteAccelerationStructuresPropertiesKHR=panvk_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@4=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@8=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@12=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@16=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@20=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@24=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@28=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@32=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@36=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@40=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@44=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@48=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@60=_panvk_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysKHR@104=_panvk_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdTraceRaysKHR=panvk_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@4=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@8=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@12=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@16=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@20=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@24=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@28=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@32=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@36=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@40=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@44=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@48=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@60=_panvk_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysNV@104=_panvk_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdTraceRaysNV=panvk_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@4=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@8=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@12=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@16=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@20=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@24=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@28=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@32=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@36=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@40=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@44=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@48=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@60=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesKHR@104=_panvk_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetRayTracingShaderGroupHandlesKHR=panvk_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@4=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@8=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@12=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@16=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@20=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@24=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@28=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@32=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@36=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@40=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@44=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@48=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@60=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupHandlesNV@104=_panvk_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetRayTracingShaderGroupHandlesNV=panvk_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR=panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@4=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@8=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@12=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@16=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@20=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@24=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@28=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@32=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@36=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@40=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@44=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@48=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@60=_panvk_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureHandleNV@104=_panvk_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetAccelerationStructureHandleNV=panvk_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@4=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@8=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@12=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@16=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@20=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@24=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@28=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@32=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@36=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@40=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@44=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@48=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@60=_panvk_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesNV@104=_panvk_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateRayTracingPipelinesNV=panvk_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@4=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@8=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@12=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@16=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@20=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@24=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@28=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@32=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@36=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@40=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@44=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@48=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@60=_panvk_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateRayTracingPipelinesKHR@104=_panvk_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateRayTracingPipelinesKHR=panvk_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@4=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@8=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@12=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@16=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@20=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@24=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@28=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@32=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@36=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@40=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@44=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@48=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@60=_panvk_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdTraceRaysIndirectKHR@104=_panvk_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdTraceRaysIndirectKHR=panvk_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@4=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@8=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@12=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@16=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@20=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@24=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@28=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@32=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@36=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@40=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@44=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@48=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@60=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceAccelerationStructureCompatibilityKHR@104=_panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceAccelerationStructureCompatibilityKHR=panvk_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*panvk_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@4=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@8=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@12=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@16=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@20=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@24=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@28=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@32=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@36=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@40=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@44=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@48=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@60=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetRayTracingShaderGroupStackSizeKHR@104=_panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetRayTracingShaderGroupStackSizeKHR=panvk_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL panvk_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@4=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@8=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@12=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@16=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@20=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@24=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@28=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@32=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@36=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@40=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@44=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@48=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@60=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRayTracingPipelineStackSizeKHR@104=_panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetRayTracingPipelineStackSizeKHR=panvk_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*panvk_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@4=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@8=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@12=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@16=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@20=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@24=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@28=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@32=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@36=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@40=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@44=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@48=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@60=_panvk_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewHandleNVX@104=_panvk_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageViewHandleNVX=panvk_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL panvk_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@4=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@8=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@12=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@16=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@20=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@24=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@28=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@32=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@36=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@40=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@44=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@48=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@60=_panvk_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageViewAddressNVX@104=_panvk_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageViewAddressNVX=panvk_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@4=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@8=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@12=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@16=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@20=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@24=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@28=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@32=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@36=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@40=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@44=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@48=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@60=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceGroupSurfacePresentModes2EXT@104=_panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceGroupSurfacePresentModes2EXT=panvk_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@4=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@8=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@12=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@16=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@20=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@24=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@28=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@32=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@36=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@40=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@44=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@48=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@60=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireFullScreenExclusiveModeEXT@104=_panvk_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AcquireFullScreenExclusiveModeEXT=panvk_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@4=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@8=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@12=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@16=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@20=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@24=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@28=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@32=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@36=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@40=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@44=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@48=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@60=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseFullScreenExclusiveModeEXT@104=_panvk_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ReleaseFullScreenExclusiveModeEXT=panvk_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*panvk_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@4=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@8=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@12=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@16=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@20=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@24=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@28=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@32=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@36=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@40=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@44=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@48=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@60=_panvk_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquireProfilingLockKHR@104=_panvk_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AcquireProfilingLockKHR=panvk_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@4=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@8=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@12=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@16=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@20=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@24=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@28=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@32=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@36=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@40=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@44=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@48=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@60=_panvk_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleaseProfilingLockKHR@104=_panvk_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ReleaseProfilingLockKHR=panvk_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@4=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@8=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@12=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@16=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@20=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@24=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@28=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@32=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@36=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@40=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@44=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@48=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@60=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetImageDrmFormatModifierPropertiesEXT@104=_panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetImageDrmFormatModifierPropertiesEXT=panvk_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*panvk_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@4=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@8=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@12=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@16=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@20=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@24=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@28=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@32=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@36=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@40=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@44=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@48=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@60=_panvk_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddress@104=_panvk_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetBufferOpaqueCaptureAddress=panvk_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL panvk_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*panvk_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@4=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@8=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@12=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@16=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@20=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@24=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@28=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@32=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@36=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@40=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@44=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@48=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@60=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferOpaqueCaptureAddressKHR@104=_panvk_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetBufferOpaqueCaptureAddressKHR=panvk_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL panvk_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*panvk_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@4=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@8=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@12=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@16=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@20=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@24=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@28=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@32=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@36=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@40=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@44=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@48=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@60=_panvk_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddress@104=_panvk_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetBufferDeviceAddress=panvk_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL panvk_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*panvk_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@4=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@8=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@12=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@16=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@20=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@24=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@28=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@32=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@36=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@40=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@44=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@48=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@60=_panvk_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressKHR@104=_panvk_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetBufferDeviceAddressKHR=panvk_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL panvk_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*panvk_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@4=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@8=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@12=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@16=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@20=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@24=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@28=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@32=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@36=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@40=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@44=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@48=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@60=_panvk_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetBufferDeviceAddressEXT@104=_panvk_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetBufferDeviceAddressEXT=panvk_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL panvk_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@4=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@8=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@12=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@16=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@20=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@24=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@28=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@32=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@36=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@40=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@44=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@48=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@60=_panvk_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_InitializePerformanceApiINTEL@104=_panvk_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_InitializePerformanceApiINTEL=panvk_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@4=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@8=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@12=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@16=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@20=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@24=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@28=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@32=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@36=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@40=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@44=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@48=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@60=_panvk_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_UninitializePerformanceApiINTEL@104=_panvk_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_UninitializePerformanceApiINTEL=panvk_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@4=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@8=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@12=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@16=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@20=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@24=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@28=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@32=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@36=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@40=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@44=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@48=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@60=_panvk_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceMarkerINTEL@104=_panvk_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetPerformanceMarkerINTEL=panvk_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@4=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@8=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@12=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@16=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@20=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@24=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@28=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@32=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@36=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@40=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@44=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@48=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@60=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceStreamMarkerINTEL@104=_panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetPerformanceStreamMarkerINTEL=panvk_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@4=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@8=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@12=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@16=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@20=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@24=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@28=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@32=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@36=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@40=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@44=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@48=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@60=_panvk_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPerformanceOverrideINTEL@104=_panvk_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetPerformanceOverrideINTEL=panvk_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@4=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@8=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@12=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@16=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@20=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@24=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@28=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@32=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@36=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@40=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@44=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@48=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@60=_panvk_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_AcquirePerformanceConfigurationINTEL@104=_panvk_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_AcquirePerformanceConfigurationINTEL=panvk_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@4=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@8=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@12=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@16=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@20=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@24=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@28=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@32=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@36=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@40=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@44=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@48=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@60=_panvk_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_ReleasePerformanceConfigurationINTEL@104=_panvk_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_ReleasePerformanceConfigurationINTEL=panvk_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@4=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@8=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@12=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@16=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@20=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@24=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@28=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@32=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@36=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@40=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@44=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@48=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@60=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSetPerformanceConfigurationINTEL@104=_panvk_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueueSetPerformanceConfigurationINTEL=panvk_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@4=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@8=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@12=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@16=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@20=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@24=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@28=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@32=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@36=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@40=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@44=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@48=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@60=_panvk_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPerformanceParameterINTEL@104=_panvk_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPerformanceParameterINTEL=panvk_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*panvk_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@4=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@8=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@12=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@16=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@20=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@24=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@28=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@32=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@36=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@40=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@44=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@48=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@60=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddress@104=_panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceMemoryOpaqueCaptureAddress=panvk_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL panvk_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeviceMemoryOpaqueCaptureAddressKHR=panvk_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL panvk_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@4=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@8=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@12=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@16=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@20=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@24=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@28=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@32=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@36=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@40=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@44=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@48=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@60=_panvk_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutablePropertiesKHR@104=_panvk_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPipelineExecutablePropertiesKHR=panvk_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@4=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@8=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@12=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@16=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@20=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@24=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@28=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@32=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@36=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@40=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@44=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@48=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@60=_panvk_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableStatisticsKHR@104=_panvk_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPipelineExecutableStatisticsKHR=panvk_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@4=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@8=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@12=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@16=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@20=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@24=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@28=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@32=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@36=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@40=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@44=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@48=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@60=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPipelineExecutableInternalRepresentationsKHR@104=_panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPipelineExecutableInternalRepresentationsKHR=panvk_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@4=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@8=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@12=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@16=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@20=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@24=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@28=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@32=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@36=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@40=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@44=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@48=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@60=_panvk_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLineStippleEXT@104=_panvk_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetLineStippleEXT=panvk_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@4=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@8=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@12=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@16=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@20=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@24=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@28=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@32=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@36=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@40=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@44=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@48=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@60=_panvk_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateAccelerationStructureKHR@104=_panvk_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateAccelerationStructureKHR=panvk_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@4=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@8=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@12=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@16=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@20=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@24=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@28=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@32=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@36=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@40=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@44=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@48=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@60=_panvk_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresKHR@104=_panvk_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBuildAccelerationStructuresKHR=panvk_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@4=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@8=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@12=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@16=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@20=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@24=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@28=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@32=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@36=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@40=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@44=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@48=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@60=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBuildAccelerationStructuresIndirectKHR@104=_panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBuildAccelerationStructuresIndirectKHR=panvk_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@4=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@8=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@12=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@16=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@20=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@24=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@28=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@32=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@36=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@40=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@44=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@48=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@60=_panvk_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BuildAccelerationStructuresKHR@104=_panvk_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BuildAccelerationStructuresKHR=panvk_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*panvk_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@4=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@8=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@12=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@16=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@20=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@24=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@28=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@32=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@36=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@40=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@44=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@48=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@60=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureDeviceAddressKHR@104=_panvk_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetAccelerationStructureDeviceAddressKHR=panvk_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL panvk_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@4=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@8=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@12=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@16=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@20=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@24=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@28=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@32=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@36=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@40=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@44=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@48=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@60=_panvk_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateDeferredOperationKHR@104=_panvk_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateDeferredOperationKHR=panvk_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@4=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@8=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@12=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@16=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@20=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@24=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@28=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@32=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@36=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@40=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@44=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@48=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@60=_panvk_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyDeferredOperationKHR@104=_panvk_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyDeferredOperationKHR=panvk_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*panvk_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@4=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@8=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@12=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@16=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@20=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@24=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@28=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@32=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@36=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@40=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@44=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@48=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@60=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationMaxConcurrencyKHR@104=_panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeferredOperationMaxConcurrencyKHR=panvk_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL panvk_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@4=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@8=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@12=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@16=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@20=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@24=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@28=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@32=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@36=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@40=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@44=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@48=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@60=_panvk_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetDeferredOperationResultKHR@104=_panvk_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetDeferredOperationResultKHR=panvk_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@4=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@8=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@12=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@16=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@20=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@24=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@28=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@32=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@36=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@40=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@44=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@48=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@60=_panvk_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DeferredOperationJoinKHR@104=_panvk_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DeferredOperationJoinKHR=panvk_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@4=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@8=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@12=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@16=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@20=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@24=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@28=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@32=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@36=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@40=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@44=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@48=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@60=_panvk_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetCullModeEXT@104=_panvk_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetCullModeEXT=panvk_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@4=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@8=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@12=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@16=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@20=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@24=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@28=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@32=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@36=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@40=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@44=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@48=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@60=_panvk_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFrontFaceEXT@104=_panvk_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetFrontFaceEXT=panvk_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@4=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@8=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@12=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@16=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@20=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@24=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@28=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@32=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@36=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@40=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@44=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@48=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@60=_panvk_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveTopologyEXT@104=_panvk_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetPrimitiveTopologyEXT=panvk_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@4=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@8=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@12=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@16=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@20=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@24=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@28=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@32=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@36=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@40=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@44=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@48=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@60=_panvk_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetViewportWithCountEXT@104=_panvk_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetViewportWithCountEXT=panvk_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@4=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@8=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@12=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@16=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@20=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@24=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@28=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@32=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@36=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@40=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@44=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@48=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@60=_panvk_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetScissorWithCountEXT@104=_panvk_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetScissorWithCountEXT=panvk_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@4=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@8=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@12=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@16=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@20=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@24=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@28=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@32=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@36=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@40=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@44=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@48=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@60=_panvk_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBindVertexBuffers2EXT@104=_panvk_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBindVertexBuffers2EXT=panvk_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@4=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@8=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@12=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@16=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@20=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@24=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@28=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@32=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@36=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@40=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@44=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@48=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@60=_panvk_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthTestEnableEXT@104=_panvk_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDepthTestEnableEXT=panvk_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@4=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@8=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@12=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@16=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@20=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@24=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@28=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@32=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@36=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@40=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@44=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@48=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@60=_panvk_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthWriteEnableEXT@104=_panvk_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDepthWriteEnableEXT=panvk_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@4=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@8=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@12=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@16=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@20=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@24=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@28=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@32=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@36=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@40=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@44=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@48=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@60=_panvk_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthCompareOpEXT@104=_panvk_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDepthCompareOpEXT=panvk_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@4=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@8=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@12=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@16=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@20=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@24=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@28=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@32=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@36=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@40=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@44=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@48=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@60=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBoundsTestEnableEXT@104=_panvk_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDepthBoundsTestEnableEXT=panvk_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@4=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@8=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@12=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@16=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@20=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@24=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@28=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@32=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@36=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@40=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@44=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@48=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@60=_panvk_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilTestEnableEXT@104=_panvk_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetStencilTestEnableEXT=panvk_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@4=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@8=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@12=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@16=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@20=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@24=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@28=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@32=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@36=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@40=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@44=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@48=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@60=_panvk_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetStencilOpEXT@104=_panvk_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetStencilOpEXT=panvk_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@4=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@8=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@12=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@16=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@20=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@24=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@28=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@32=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@36=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@40=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@44=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@48=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@60=_panvk_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPatchControlPointsEXT@104=_panvk_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetPatchControlPointsEXT=panvk_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@4=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@8=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@12=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@16=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@20=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@24=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@28=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@32=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@36=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@40=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@44=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@48=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@60=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetRasterizerDiscardEnableEXT@104=_panvk_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetRasterizerDiscardEnableEXT=panvk_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@4=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@8=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@12=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@16=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@20=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@24=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@28=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@32=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@36=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@40=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@44=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@48=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@60=_panvk_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetDepthBiasEnableEXT@104=_panvk_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetDepthBiasEnableEXT=panvk_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@4=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@8=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@12=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@16=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@20=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@24=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@28=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@32=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@36=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@40=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@44=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@48=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@60=_panvk_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetLogicOpEXT@104=_panvk_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetLogicOpEXT=panvk_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@4=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@8=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@12=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@16=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@20=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@24=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@28=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@32=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@36=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@40=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@44=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@48=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@60=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetPrimitiveRestartEnableEXT@104=_panvk_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetPrimitiveRestartEnableEXT=panvk_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@4=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@8=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@12=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@16=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@20=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@24=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@28=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@32=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@36=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@40=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@44=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@48=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@60=_panvk_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreatePrivateDataSlotEXT@104=_panvk_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreatePrivateDataSlotEXT=panvk_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@4=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@8=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@12=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@16=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@20=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@24=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@28=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@32=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@36=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@40=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@44=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@48=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@60=_panvk_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyPrivateDataSlotEXT@104=_panvk_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyPrivateDataSlotEXT=panvk_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@4=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@8=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@12=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@16=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@20=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@24=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@28=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@32=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@36=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@40=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@44=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@48=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@60=_panvk_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_SetPrivateDataEXT@104=_panvk_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_SetPrivateDataEXT=panvk_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@4=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@8=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@12=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@16=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@20=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@24=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@28=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@32=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@36=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@40=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@44=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@48=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@60=_panvk_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetPrivateDataEXT@104=_panvk_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetPrivateDataEXT=panvk_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@4=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@8=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@12=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@16=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@20=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@24=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@28=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@32=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@36=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@40=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@44=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@48=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@60=_panvk_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBuffer2KHR@104=_panvk_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyBuffer2KHR=panvk_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@4=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@8=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@12=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@16=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@20=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@24=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@28=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@32=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@36=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@40=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@44=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@48=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@60=_panvk_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImage2KHR@104=_panvk_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyImage2KHR=panvk_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@4=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@8=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@12=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@16=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@20=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@24=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@28=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@32=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@36=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@40=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@44=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@48=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@60=_panvk_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBlitImage2KHR@104=_panvk_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBlitImage2KHR=panvk_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@4=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@8=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@12=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@16=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@20=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@24=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@28=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@32=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@36=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@40=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@44=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@48=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@60=_panvk_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyBufferToImage2KHR@104=_panvk_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyBufferToImage2KHR=panvk_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@4=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@8=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@12=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@16=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@20=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@24=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@28=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@32=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@36=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@40=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@44=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@48=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@60=_panvk_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCopyImageToBuffer2KHR@104=_panvk_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCopyImageToBuffer2KHR=panvk_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@4=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@8=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@12=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@16=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@20=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@24=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@28=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@32=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@36=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@40=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@44=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@48=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@60=_panvk_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResolveImage2KHR@104=_panvk_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdResolveImage2KHR=panvk_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@4=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@8=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@12=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@16=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@20=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@24=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@28=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@32=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@36=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@40=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@44=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@48=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@60=_panvk_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateKHR@104=_panvk_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetFragmentShadingRateKHR=panvk_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@4=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@8=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@12=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@16=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@20=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@24=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@28=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@32=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@36=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@40=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@44=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@48=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@60=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetFragmentShadingRateEnumNV@104=_panvk_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetFragmentShadingRateEnumNV=panvk_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@4=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@8=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@12=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@16=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@20=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@24=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@28=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@32=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@36=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@40=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@44=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@48=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@60=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetAccelerationStructureBuildSizesKHR@104=_panvk_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetAccelerationStructureBuildSizesKHR=panvk_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@4=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@8=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@12=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@16=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@20=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@24=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@28=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@32=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@36=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@40=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@44=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@48=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@60=_panvk_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetVertexInputEXT@104=_panvk_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetVertexInputEXT=panvk_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@4=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@8=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@12=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@16=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@20=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@24=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@28=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@32=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@36=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@40=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@44=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@48=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@60=_panvk_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetColorWriteEnableEXT@104=_panvk_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetColorWriteEnableEXT=panvk_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@4=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@8=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@12=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@16=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@20=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@24=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@28=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@32=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@36=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@40=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@44=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@48=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@60=_panvk_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdSetEvent2KHR@104=_panvk_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdSetEvent2KHR=panvk_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@4=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@8=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@12=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@16=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@20=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@24=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@28=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@32=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@36=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@40=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@44=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@48=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@60=_panvk_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdResetEvent2KHR@104=_panvk_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdResetEvent2KHR=panvk_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@4=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@8=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@12=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@16=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@20=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@24=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@28=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@32=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@36=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@40=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@44=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@48=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@60=_panvk_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWaitEvents2KHR@104=_panvk_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdWaitEvents2KHR=panvk_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@4=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@8=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@12=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@16=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@20=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@24=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@28=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@32=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@36=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@40=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@44=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@48=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@60=_panvk_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdPipelineBarrier2KHR@104=_panvk_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdPipelineBarrier2KHR=panvk_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@4=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@8=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@12=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@16=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@20=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@24=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@28=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@32=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@36=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@40=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@44=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@48=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@60=_panvk_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_QueueSubmit2KHR@104=_panvk_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_QueueSubmit2KHR=panvk_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@4=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@8=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@12=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@16=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@20=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@24=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@28=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@32=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@36=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@40=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@44=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@48=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@60=_panvk_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteTimestamp2KHR@104=_panvk_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdWriteTimestamp2KHR=panvk_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@4=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@8=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@12=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@16=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@20=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@24=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@28=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@32=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@36=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@40=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@44=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@48=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@60=_panvk_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdWriteBufferMarker2AMD@104=_panvk_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdWriteBufferMarker2AMD=panvk_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@4=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@8=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@12=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@16=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@20=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@24=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@28=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@32=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@36=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@40=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@44=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@48=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@60=_panvk_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetQueueCheckpointData2NV@104=_panvk_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetQueueCheckpointData2NV=panvk_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*panvk_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@4=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@8=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@12=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@16=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@20=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@24=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@28=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@32=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@36=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@40=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@44=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@48=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@60=_panvk_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionKHR@104=_panvk_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateVideoSessionKHR=panvk_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*panvk_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@4=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@8=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@12=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@16=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@20=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@24=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@28=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@32=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@36=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@40=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@44=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@48=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@60=_panvk_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionKHR@104=_panvk_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyVideoSessionKHR=panvk_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*panvk_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@4=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@8=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@12=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@16=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@20=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@24=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@28=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@32=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@36=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@40=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@44=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@48=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@60=_panvk_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateVideoSessionParametersKHR@104=_panvk_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateVideoSessionParametersKHR=panvk_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*panvk_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@4=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@8=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@12=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@16=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@20=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@24=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@28=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@32=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@36=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@40=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@44=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@48=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@60=_panvk_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_UpdateVideoSessionParametersKHR@104=_panvk_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_UpdateVideoSessionParametersKHR=panvk_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*panvk_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@4=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@8=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@12=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@16=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@20=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@24=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@28=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@32=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@36=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@40=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@44=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@48=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@60=_panvk_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyVideoSessionParametersKHR@104=_panvk_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyVideoSessionParametersKHR=panvk_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*panvk_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@4=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@8=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@12=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@16=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@20=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@24=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@28=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@32=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@36=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@40=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@44=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@48=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@60=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_GetVideoSessionMemoryRequirementsKHR@104=_panvk_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_GetVideoSessionMemoryRequirementsKHR=panvk_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*panvk_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@4=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@8=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@12=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@16=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@20=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@24=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@28=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@32=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@36=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@40=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@44=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@48=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@60=_panvk_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_BindVideoSessionMemoryKHR@104=_panvk_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_BindVideoSessionMemoryKHR=panvk_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*panvk_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@4=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@8=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@12=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@16=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@20=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@24=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@28=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@32=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@36=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@40=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@44=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@48=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@60=_panvk_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdDecodeVideoKHR@104=_panvk_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdDecodeVideoKHR=panvk_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*panvk_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@4=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@8=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@12=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@16=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@20=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@24=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@28=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@32=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@36=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@40=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@44=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@48=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@60=_panvk_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdBeginVideoCodingKHR@104=_panvk_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdBeginVideoCodingKHR=panvk_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*panvk_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@4=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@8=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@12=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@16=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@20=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@24=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@28=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@32=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@36=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@40=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@44=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@48=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@60=_panvk_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdControlVideoCodingKHR@104=_panvk_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdControlVideoCodingKHR=panvk_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*panvk_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@4=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@8=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@12=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@16=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@20=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@24=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@28=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@32=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@36=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@40=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@44=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@48=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@60=_panvk_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEndVideoCodingKHR@104=_panvk_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEndVideoCodingKHR=panvk_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*panvk_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@4=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@8=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@12=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@16=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@20=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@24=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@28=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@32=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@36=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@40=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@44=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@48=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@60=_panvk_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdEncodeVideoKHR@104=_panvk_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdEncodeVideoKHR=panvk_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*panvk_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@4=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@8=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@12=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@16=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@20=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@24=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@28=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@32=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@36=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@40=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@44=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@48=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@60=_panvk_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuModuleNVX@104=_panvk_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateCuModuleNVX=panvk_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*panvk_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@4=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@8=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@12=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@16=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@20=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@24=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@28=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@32=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@36=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@40=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@44=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@48=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@60=_panvk_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CreateCuFunctionNVX@104=_panvk_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CreateCuFunctionNVX=panvk_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL panvk_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@4=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@8=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@12=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@16=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@20=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@24=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@28=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@32=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@36=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@40=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@44=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@48=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@60=_panvk_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuModuleNVX@104=_panvk_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyCuModuleNVX=panvk_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@4=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@8=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@12=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@16=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@20=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@24=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@28=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@32=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@36=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@40=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@44=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@48=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@60=_panvk_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_DestroyCuFunctionNVX@104=_panvk_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_DestroyCuFunctionNVX=panvk_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*panvk_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@4=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@8=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@12=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@16=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@20=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@24=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@28=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@32=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@36=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@40=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@44=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@48=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@60=_panvk_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_panvk_CmdCuLaunchKernelNVX@104=_panvk_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:panvk_CmdCuLaunchKernelNVX=panvk_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL panvk_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif

const struct vk_device_entrypoint_table panvk_device_entrypoints = {
    .GetDeviceProcAddr = panvk_GetDeviceProcAddr,
    .DestroyDevice = panvk_DestroyDevice,
    .GetDeviceQueue = panvk_GetDeviceQueue,
    .QueueSubmit = panvk_QueueSubmit,
    .QueueWaitIdle = panvk_QueueWaitIdle,
    .DeviceWaitIdle = panvk_DeviceWaitIdle,
    .AllocateMemory = panvk_AllocateMemory,
    .FreeMemory = panvk_FreeMemory,
    .MapMemory = panvk_MapMemory,
    .UnmapMemory = panvk_UnmapMemory,
    .FlushMappedMemoryRanges = panvk_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = panvk_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = panvk_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = panvk_GetBufferMemoryRequirements,
    .BindBufferMemory = panvk_BindBufferMemory,
    .GetImageMemoryRequirements = panvk_GetImageMemoryRequirements,
    .BindImageMemory = panvk_BindImageMemory,
    .GetImageSparseMemoryRequirements = panvk_GetImageSparseMemoryRequirements,
    .QueueBindSparse = panvk_QueueBindSparse,
    .CreateFence = panvk_CreateFence,
    .DestroyFence = panvk_DestroyFence,
    .ResetFences = panvk_ResetFences,
    .GetFenceStatus = panvk_GetFenceStatus,
    .WaitForFences = panvk_WaitForFences,
    .CreateSemaphore = panvk_CreateSemaphore,
    .DestroySemaphore = panvk_DestroySemaphore,
    .CreateEvent = panvk_CreateEvent,
    .DestroyEvent = panvk_DestroyEvent,
    .GetEventStatus = panvk_GetEventStatus,
    .SetEvent = panvk_SetEvent,
    .ResetEvent = panvk_ResetEvent,
    .CreateQueryPool = panvk_CreateQueryPool,
    .DestroyQueryPool = panvk_DestroyQueryPool,
    .GetQueryPoolResults = panvk_GetQueryPoolResults,
    .ResetQueryPool = panvk_ResetQueryPool,
    .ResetQueryPoolEXT = panvk_ResetQueryPoolEXT,
    .CreateBuffer = panvk_CreateBuffer,
    .DestroyBuffer = panvk_DestroyBuffer,
    .CreateBufferView = panvk_CreateBufferView,
    .DestroyBufferView = panvk_DestroyBufferView,
    .CreateImage = panvk_CreateImage,
    .DestroyImage = panvk_DestroyImage,
    .GetImageSubresourceLayout = panvk_GetImageSubresourceLayout,
    .CreateImageView = panvk_CreateImageView,
    .DestroyImageView = panvk_DestroyImageView,
    .CreateShaderModule = panvk_CreateShaderModule,
    .DestroyShaderModule = panvk_DestroyShaderModule,
    .CreatePipelineCache = panvk_CreatePipelineCache,
    .DestroyPipelineCache = panvk_DestroyPipelineCache,
    .GetPipelineCacheData = panvk_GetPipelineCacheData,
    .MergePipelineCaches = panvk_MergePipelineCaches,
    .CreateGraphicsPipelines = panvk_CreateGraphicsPipelines,
    .CreateComputePipelines = panvk_CreateComputePipelines,
    .DestroyPipeline = panvk_DestroyPipeline,
    .CreatePipelineLayout = panvk_CreatePipelineLayout,
    .DestroyPipelineLayout = panvk_DestroyPipelineLayout,
    .CreateSampler = panvk_CreateSampler,
    .DestroySampler = panvk_DestroySampler,
    .CreateDescriptorSetLayout = panvk_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = panvk_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = panvk_CreateDescriptorPool,
    .DestroyDescriptorPool = panvk_DestroyDescriptorPool,
    .ResetDescriptorPool = panvk_ResetDescriptorPool,
    .AllocateDescriptorSets = panvk_AllocateDescriptorSets,
    .FreeDescriptorSets = panvk_FreeDescriptorSets,
    .UpdateDescriptorSets = panvk_UpdateDescriptorSets,
    .CreateFramebuffer = panvk_CreateFramebuffer,
    .DestroyFramebuffer = panvk_DestroyFramebuffer,
    .CreateRenderPass = panvk_CreateRenderPass,
    .DestroyRenderPass = panvk_DestroyRenderPass,
    .GetRenderAreaGranularity = panvk_GetRenderAreaGranularity,
    .CreateCommandPool = panvk_CreateCommandPool,
    .DestroyCommandPool = panvk_DestroyCommandPool,
    .ResetCommandPool = panvk_ResetCommandPool,
    .AllocateCommandBuffers = panvk_AllocateCommandBuffers,
    .FreeCommandBuffers = panvk_FreeCommandBuffers,
    .BeginCommandBuffer = panvk_BeginCommandBuffer,
    .EndCommandBuffer = panvk_EndCommandBuffer,
    .ResetCommandBuffer = panvk_ResetCommandBuffer,
    .CmdBindPipeline = panvk_CmdBindPipeline,
    .CmdSetViewport = panvk_CmdSetViewport,
    .CmdSetScissor = panvk_CmdSetScissor,
    .CmdSetLineWidth = panvk_CmdSetLineWidth,
    .CmdSetDepthBias = panvk_CmdSetDepthBias,
    .CmdSetBlendConstants = panvk_CmdSetBlendConstants,
    .CmdSetDepthBounds = panvk_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = panvk_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = panvk_CmdSetStencilWriteMask,
    .CmdSetStencilReference = panvk_CmdSetStencilReference,
    .CmdBindDescriptorSets = panvk_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = panvk_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = panvk_CmdBindVertexBuffers,
    .CmdDraw = panvk_CmdDraw,
    .CmdDrawIndexed = panvk_CmdDrawIndexed,
    .CmdDrawMultiEXT = panvk_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = panvk_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = panvk_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = panvk_CmdDrawIndexedIndirect,
    .CmdDispatch = panvk_CmdDispatch,
    .CmdDispatchIndirect = panvk_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = panvk_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = panvk_CmdCopyBuffer,
    .CmdCopyImage = panvk_CmdCopyImage,
    .CmdBlitImage = panvk_CmdBlitImage,
    .CmdCopyBufferToImage = panvk_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = panvk_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = panvk_CmdUpdateBuffer,
    .CmdFillBuffer = panvk_CmdFillBuffer,
    .CmdClearColorImage = panvk_CmdClearColorImage,
    .CmdClearDepthStencilImage = panvk_CmdClearDepthStencilImage,
    .CmdClearAttachments = panvk_CmdClearAttachments,
    .CmdResolveImage = panvk_CmdResolveImage,
    .CmdSetEvent = panvk_CmdSetEvent,
    .CmdResetEvent = panvk_CmdResetEvent,
    .CmdWaitEvents = panvk_CmdWaitEvents,
    .CmdPipelineBarrier = panvk_CmdPipelineBarrier,
    .CmdBeginQuery = panvk_CmdBeginQuery,
    .CmdEndQuery = panvk_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = panvk_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = panvk_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = panvk_CmdResetQueryPool,
    .CmdWriteTimestamp = panvk_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = panvk_CmdCopyQueryPoolResults,
    .CmdPushConstants = panvk_CmdPushConstants,
    .CmdBeginRenderPass = panvk_CmdBeginRenderPass,
    .CmdNextSubpass = panvk_CmdNextSubpass,
    .CmdEndRenderPass = panvk_CmdEndRenderPass,
    .CmdExecuteCommands = panvk_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = panvk_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = panvk_CreateSwapchainKHR,
    .DestroySwapchainKHR = panvk_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = panvk_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = panvk_AcquireNextImageKHR,
    .QueuePresentKHR = panvk_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = panvk_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = panvk_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = panvk_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = panvk_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = panvk_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = panvk_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = panvk_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = panvk_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = panvk_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = panvk_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = panvk_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = panvk_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = panvk_CmdPushDescriptorSetKHR,
    .TrimCommandPool = panvk_TrimCommandPool,
    .TrimCommandPoolKHR = panvk_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = panvk_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = panvk_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = panvk_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = panvk_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = panvk_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = panvk_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = panvk_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = panvk_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = panvk_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = panvk_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = panvk_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = panvk_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = panvk_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = panvk_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = panvk_GetFenceFdKHR,
    .ImportFenceFdKHR = panvk_ImportFenceFdKHR,
    .DisplayPowerControlEXT = panvk_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = panvk_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = panvk_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = panvk_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = panvk_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = panvk_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = panvk_BindBufferMemory2,
    .BindBufferMemory2KHR = panvk_BindBufferMemory2KHR,
    .BindImageMemory2 = panvk_BindImageMemory2,
    .BindImageMemory2KHR = panvk_BindImageMemory2KHR,
    .CmdSetDeviceMask = panvk_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = panvk_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = panvk_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = panvk_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = panvk_AcquireNextImage2KHR,
    .CmdDispatchBase = panvk_CmdDispatchBase,
    .CmdDispatchBaseKHR = panvk_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = panvk_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = panvk_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = panvk_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = panvk_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = panvk_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = panvk_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = panvk_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = panvk_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = panvk_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = panvk_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = panvk_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = panvk_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = panvk_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = panvk_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = panvk_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = panvk_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = panvk_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = panvk_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = panvk_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = panvk_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = panvk_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = panvk_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = panvk_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = panvk_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = panvk_GetDeviceQueue2,
    .CreateValidationCacheEXT = panvk_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = panvk_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = panvk_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = panvk_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = panvk_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = panvk_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = panvk_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = panvk_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = panvk_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = panvk_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = panvk_GetShaderInfoAMD,
    .SetLocalDimmingAMD = panvk_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = panvk_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = panvk_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = panvk_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = panvk_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = panvk_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = panvk_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = panvk_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = panvk_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = panvk_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = panvk_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = panvk_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = panvk_CreateRenderPass2,
    .CreateRenderPass2KHR = panvk_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = panvk_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = panvk_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = panvk_CmdNextSubpass2,
    .CmdNextSubpass2KHR = panvk_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = panvk_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = panvk_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = panvk_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = panvk_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = panvk_WaitSemaphores,
    .WaitSemaphoresKHR = panvk_WaitSemaphoresKHR,
    .SignalSemaphore = panvk_SignalSemaphore,
    .SignalSemaphoreKHR = panvk_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = panvk_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = panvk_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = panvk_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = panvk_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = panvk_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = panvk_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = panvk_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = panvk_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = panvk_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = panvk_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = panvk_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = panvk_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = panvk_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = panvk_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = panvk_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = panvk_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = panvk_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = panvk_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = panvk_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = panvk_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = panvk_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = panvk_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = panvk_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = panvk_CompileDeferredNV,
    .CreateAccelerationStructureNV = panvk_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = panvk_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = panvk_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = panvk_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = panvk_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = panvk_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = panvk_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = panvk_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = panvk_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = panvk_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = panvk_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = panvk_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = panvk_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = panvk_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = panvk_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = panvk_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = panvk_CmdTraceRaysKHR,
    .CmdTraceRaysNV = panvk_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = panvk_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = panvk_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = panvk_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = panvk_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = panvk_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = panvk_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = panvk_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = panvk_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = panvk_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = panvk_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = panvk_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = panvk_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = panvk_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = panvk_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = panvk_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = panvk_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = panvk_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = panvk_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = panvk_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = panvk_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = panvk_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = panvk_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = panvk_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = panvk_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = panvk_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = panvk_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = panvk_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = panvk_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = panvk_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = panvk_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = panvk_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = panvk_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = panvk_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = panvk_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = panvk_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = panvk_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = panvk_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = panvk_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = panvk_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = panvk_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = panvk_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = panvk_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = panvk_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = panvk_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = panvk_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = panvk_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = panvk_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = panvk_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = panvk_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = panvk_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = panvk_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = panvk_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = panvk_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = panvk_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = panvk_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = panvk_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = panvk_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = panvk_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = panvk_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = panvk_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = panvk_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = panvk_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = panvk_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = panvk_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = panvk_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = panvk_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = panvk_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = panvk_SetPrivateDataEXT,
    .GetPrivateDataEXT = panvk_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = panvk_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = panvk_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = panvk_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = panvk_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = panvk_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = panvk_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = panvk_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = panvk_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = panvk_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = panvk_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = panvk_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = panvk_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = panvk_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = panvk_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = panvk_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = panvk_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = panvk_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = panvk_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = panvk_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = panvk_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = panvk_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = panvk_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = panvk_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = panvk_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = panvk_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = panvk_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = panvk_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = panvk_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = panvk_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = panvk_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = panvk_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = panvk_CreateCuModuleNVX,
    .CreateCuFunctionNVX = panvk_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = panvk_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = panvk_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = panvk_CmdCuLaunchKernelNVX,
};

